<?php

namespace App\Exports;
  
use App\User;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\WithMapping;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithEvents;
use Maatwebsite\Excel\Events\AfterSheet;
use Maatwebsite\Excel\Events\BeforeExport;

  
class RegisteredUsersExport implements FromCollection, WithMapping, WithHeadings,ShouldAutoSize,WithEvents
{
	use Exportable;

    /**
    * @return \Illuminate\Support\Collection
    */
    function __construct($type,$user_ids)
	{
        $this->type = $type;
        $this->user_ids = $user_ids;

	}

    public function collection()
    {
    	if($this->user_ids)
    	{
            $user_ids = explode(',', $this->user_ids);
    		return User::whereIn('id',$user_ids)->get();
    	}
        else
        {
            return User::get();
        }
    }

    public function map($user): array
    { 
        return [    
                    $user->name,
                    $user->email,
                    $user->phone,
                    date('Y-m-d',strtotime($user->created_at)),
               ];
    }    

    public function headings(): array
    {
        return [
            'Name',
            'Email',
            'Phone No',
            'Registered at'
        ];
    }
    public function registerEvents(): array
    {
        return 
        [
            AfterSheet::class => function(AfterSheet $event) {
                $event->sheet->getStyle('A1:D1')->applyFromArray([
                    'font' => [
                        'bold' => true
                    ]
                ]);
            },
        ];
    }
}
