<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Auth;

use App\Models\Setting;
class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */


      //  custome  Logout Redirect function
      public function logout()
     {
         session()->flush();
         Auth::logout();

     return redirect('/home');
     }

    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
 
    public function showLoginForm()
    {
     $setting_data = Setting::get()->toArray();
         
     return view('auth.login', compact('setting_data'));
    } 

 
}
