<?php

namespace App\Http\Controllers\New_site\Admin;

use App\Models\Coupon;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use DataTables;
use App\ResellerModels\User;
use App\ResellerModels\Setting;
use App\ResellerModels\VCardSelectedTheme;
use App\Http\Requests\Admin\SettingValidation;
use Auth;
use App\Exports\RegisteredUsersExport;
use App\Exports\VcardUsersExport;
use App\Exports\TransactionHistoryExport;
use Maatwebsite\Excel\Facades\Excel;
use Illuminate\Support\Facades\Mail;
use App\Mail\AdminMail;

class CouponController extends Controller
{
    public function __construct()
    {
        $this->setting_data = Setting::get()->toArray();
    }

    public function index()
    {

        return view('reseller_new_site.admin.coupons-add');
    }

    
    public function create(Request $request){

        $validatedData = $request->validate([
            'coupon_code' => 'required',
            'no_of_use' => 'required|numeric',
            'expire_date' => 'required|date',
            'price_discount' => 'required|numeric',
            'status' => 'required',
        ]);

        if($request->coupon_id=='') {

            $coupon = Coupon::create([
                'coupon_code' => $request->coupon_code,
                'no_of_use' => $request->no_of_use,
                'expire_date' => $request->expire_date,
                'price_discount' => $request->price_discount,
                'status' => $request->status,
            ]);
        }else{
            
            $coupon = Coupon::where('coupon_id',$request->coupon_id)->update([
                'coupon_code' => $request->coupon_code,
                'no_of_use' => $request->no_of_use,
                'expire_date' => $request->expire_date,
                'price_discount' => $request->price_discount,
                'status' => $request->status,
            ]);
        }

            return redirect('admin/listing/coupon/1');



    }

}
