<?php

namespace App\Http\Controllers\New_site;

use Illuminate\Http\Request;
use App\Seller;
use App\ResellerModels\Plan;
use App\ResellerModels\Setting;
use App\ResellerModels\PlanTransaction;
use App\ResellerModels\ReSellerSelectedPlan;
use App\ResellerModels\SiteSetting;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Mail;
use App\Mail\SiteURL;
use Auth; 
use PaytmWallet;
use Session;
use Srmklive\PayPal\Services\ExpressCheckout;

class SellerController extends Controller
{
    public function sellerRegister(Request $request)
    {
         $data=$request->all();

         $data['password'] = bcrypt($data['password']);
        $view=Seller::create($data);
          return response()-> json([ 

        'key' => 'success', 
         
        ]);
    }
 
    public function login()
    {
        return view('reseller.login');
    }

    public function sellerLogin(Request $request){
      $res = Auth::guard('seller-web')->attempt(['email' => $request->email,'password' => $request->password]);
        
        if($res)
        {
            return redirect('reseller/dashboard');
        }
        else
        {
            return redirect('reseller/login');
        }
    }

    public function logout()
    {
        Auth::logout();
        Session::flush();
        return redirect('reseller/login');
    }

    public function dashboard() 
    {
       $setting_data = Setting::get()->toArray();
       $plan_all = Plan::where(['user_type'=>'Seller'])->get();
       $active_plans = Seller::leftJoin('plans','plans.id','=','resellers.plan_id')->where('resellers.id',Auth::id())->first();
        return view('reseller.dashboard')->with(['plan_all'=>$plan_all, 'active_plans'=>$active_plans, 'setting_data'=>$setting_data]);
    }

    public function profile() 
    {
      $setting_data = Setting::get()->toArray();
      $reseller_details = Seller::where(['id'=>Auth::id()])->first();
        return view('reseller.profile')->with(['setting_data'=>$setting_data, 'reseller_details'=>$reseller_details]);
    }

     public function updateProfile(Request $request) 
    {
      $data=$request->all();
      $updateProfile=Seller::where('id',Auth::id())->update(['name'=>$data['name'], 'phone'=>$data['phone'], 'email'=>$data['email']]);
        return response()->json([
           'updateProfile'=>$updateProfile,
        ]);
    }

    public function storePlan(Request $request)
    {
       $data=$request->all();
       $plan_store=Plan::create($data);
        return response()->json([
           'plan_store'=>$plan_store,
        ]);
    }

    public function showPlan(Request $request)
    {
       $plan_data=Plan::where('user_type'="User")->get();
        return response()->json([
           'plan_data'=>$plan_data,
        ]);
    }

    public function transaction()
    {
       $setting_data = Setting::get()->toArray();
       $payment = Seller::leftJoin('plans','plans.id','=','resellers.plan_id')->where('resellers.id',Auth::id())->get();
       return view('reseller.transaction_list')->with(['payment'=>$payment, 'setting_data'=>$setting_data]);
    }

    public function active_plan()
    {
       $setting_data = Setting::get()->toArray();
       $active_plans = Seller::leftJoin('plans','plans.id','=','resellers.plan_id')->where('resellers.id',Auth::id())->get();
       return view('reseller.active_plan')->with(['active_plans'=>$active_plans, 'setting_data'=>$setting_data]);
    }

    public function payment(Request $request)
    { 
      $data=$request->all();
      print_r($data);
      die;

      $plan_data=Plan::where(['id'=>$data['plan_id']])->first();
      $order_id=rand();
      $reseller_data=Seller::where(['id'=>Auth::id()])->first();
      $planTransaction = new PlanTransaction();
      $planTransaction->transaction_name = NULL;
      $planTransaction->phone = $reseller_data->phone;
      $planTransaction->amount = $plan_data->plan_price; 
      $planTransaction->status = 'pending';
      $planTransaction->order_id = $order_id;
      $planTransaction->transaction_id = NULL;
      $planTransaction->reseller_id = $reseller_data->id;
      $planTransaction->plan_id = $plan_data->id;
      $planTransaction->plan_year = $plan_data->plan_year;
      $planTransaction->save();
       
       if($data['payment_option']=="Paytm"){
      $payment = PaytmWallet::with('receive');
                    $payment->prepare([
                    'order' => $order_id,
                    'user' => Auth::user()->id ,
                    'mobile_number' => $reseller_data->phone,
                    'email' => $reseller_data->email,
                    'amount' =>$plan_data->plan_price,
                    'callback_url' => url('payments/status'.'/'.Auth::user()->id)
                    ]);
                    return $payment->receive();
    }
       if($data['payment_option']=='Paypal'){
      $data = [];
        $data['items'] = [
            [
                'name' => $reseller_data->name,
                'price' => $plan_data->plan_price,
                'desc'  => 'Description for OnlineVcard.com',
                'qty' => 1
            ]
        ];
       
        $data['invoice_id'] = 1;
        $data['invoice_description'] = "Order #{$data['invoice_id']} Invoice";
        $data['return_url'] = route('payment.success');
        $data['cancel_url'] = route('payment.cancel');
        $data['total'] = $plan_data->plan_price;
        
         
        $provider = new ExpressCheckout;
        dd($provider);
        $response = $provider->setExpressCheckout($data);
          print_r($response);
      $response = $provider->setExpressCheckout($data, true);
         
       return $response['paypal_link'];
    }
    if($data['payment_option']=='RazorPay'){

    }
   }

   public function cancel()
    {
        dd('Your payment is canceled. You can create cancel page here.');
    }

    public function success(Request $request)
    {
        $response = $provider->getExpressCheckoutDetails($request->token);
  
        if (in_array(strtoupper($response['ACK']), ['SUCCESS', 'SUCCESSWITHWARNING'])) {
            dd('Your payment was successfully. You can create success page here.');
        }
  
        dd('Something is wrong.');
    }

   public function paymentCallback($user_id)
    {
        $user_details = Seller::where('id',$user_id)->first();
        $plan_transaction_data = PlanTransaction::where('reseller_id',Auth::id())->first();
         $plan_end_date = date('Y-m-d', strtotime('+'.$plan_transaction_data->plan_year.'years'));
            $transaction = PaytmWallet::with('receive');
            $response = $transaction->response();
            $plan_transaction_data->transaction_name = $response['BANKNAME'];
            $plan_transaction_data->status = $response['STATUS'];
            $plan_transaction_data->transaction_id = $response['TXNID'];
            $plan_transaction_data->created_at = $response['TXNDATE'];
            $plan_transaction_data->update();
            if($transaction->isSuccessful()){
               Seller::where('id',Auth::id())->update(['payment_status'=>'1', 'plan_id'=>$plan_transaction_data->plan_id, 'plan_start_date'=>$plan_transaction_data->created_at, 'plan_end_date'=>$plan_end_date ]);
         return redirect()->back()->with('success', 'Payment Successfully Credited.');
        }else if($transaction->isFailed()){
       
         return redirect()->back()->with('error', 'Payment Failed. Try again later');
        }
           
        }

      public function web_setting(Request $request)
      { 
          $setting_data = Setting::get()->toArray();
        
          
         return view('reseller.web_setting')->with(['setting_data'=>$setting_data]);
      }

     public function saveSetting(Request $request)
      { 
         $data=$request->all();
         $data['reseller_id']=Auth::id();
         $saveSetting=SiteSetting::create($data);
         $setting_data = Setting::get()->toArray();

         $site_url=SiteSetting::leftJoin('resellers','resellers.id','=','site_settings.reseller_id')->where('resellers.id','=',Auth::id())->get();
         Mail::to($setting_data[7]['value'])->send(new SiteURL($site_url));
         return response()->json([
            'saveSetting'=>$saveSetting,
         ]);
      }

    }

 