<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Seller;
use App\Plan;
use App\Models\Setting;
use App\Models\PlanTransaction;
use App\Models\ReSellerSelectedPlan;
use App\Models\SiteSetting;
use App\Models\Notify_URL_Temp;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Mail;
use App\Mail\SiteURL;
use Auth; 
use PaytmWallet;
use Session;
use Srmklive\PayPal\Services\ExpressCheckout;
use Razorpay\Api\Api;
use Stripe;
class SellerController extends Controller
{
    public function sellerRegister(Request $request)
    {
         $data=$request->all();

         $data['password'] = bcrypt($data['password']);
        $view=Seller::create($data);
          return response()-> json([ 

        'key' => 'success', 
         
        ]);
    }
 
    public function login()
    {
        return view('reseller.login');
    }

    public function stripe_form()
    {
        $setting_data = Setting::get()->toArray();
        return view('reseller.stripe_form')->with(['setting_data'=>$setting_data]);
    }

    public function sellerLogin(Request $request){
      $res = Auth::guard('seller-web')->attempt(['email' => $request->email,'password' => $request->password]);
        
        if($res)
        {
            return redirect('reseller/dashboard');
        }
        else
        {
            return redirect('reseller/login');
        }
    }

    public function logout()
    {
        Auth::logout();
        Session::flush();
        return redirect('reseller/login');
    }

    public function dashboard() 
    {
       $setting_data = Setting::get()->toArray();
       $plan_all = Plan::where(['user_type'=>'Seller'])->get();
       $active_plans = Seller::leftJoin('plans','plans.id','=','resellers.plan_id')->where('resellers.id',Auth::id())->first();
        return view('reseller.dashboard')->with(['plan_all'=>$plan_all, 'active_plans'=>$active_plans, 'setting_data'=>$setting_data]);
    }

    public function profile() 
    {
      $setting_data = Setting::get()->toArray();
      $reseller_details = Seller::where(['id'=>Auth::id()])->first();
        return view('reseller.profile')->with(['setting_data'=>$setting_data, 'reseller_details'=>$reseller_details]);
    }

     public function updateProfile(Request $request) 
    {
      $data=$request->all();
      $updateProfile=Seller::where('id',Auth::id())->update(['name'=>$data['name'], 'phone'=>$data['phone'], 'email'=>$data['email']]);
        return response()->json([
           'updateProfile'=>$updateProfile,
        ]);
    }

    public function storePlan(Request $request)
    {
       $data=$request->all();
       $plan_store=Plan::create($data);
        return response()->json([
           'plan_store'=>$plan_store,
        ]);
    }

    public function showPlan(Request $request)
    {
       $plan_data=Plan::all();
        return response()->json([
           'plan_data'=>$plan_data,
        ]);
    }

    public function transaction()
    {
       $setting_data = Setting::get()->toArray();
       $payment = Seller::leftJoin('plans','plans.id','=','resellers.plan_id')->where('resellers.id',Auth::id())->get();
       return view('reseller.transaction_list')->with(['payment'=>$payment, 'setting_data'=>$setting_data]);
    }

    public function active_plan()
    {
       $setting_data = Setting::get()->toArray();
       $active_plans = Seller::leftJoin('plans','plans.id','=','resellers.plan_id')->where('resellers.id',Auth::id())->get();
       return view('reseller.active_plan')->with(['active_plans'=>$active_plans, 'setting_data'=>$setting_data]);
    }

    public function payment(Request $request)
    { 
      $data=$request->all();
     
      $plan_data=Plan::where(['id'=>$data['plan_id']])->first();
      $order_id=rand();
      $receipt_id=rand();
      $reseller_data=Seller::where(['id'=>Auth::id()])->first();

      $setting =  Setting::all([
            'key','value'
        ])
        ->keyBy('key') // key every setting by its name
        ->transform(function ($setting) {
             return $setting->value; // return only the value
        })
        ->toArray();
      
       /*if($data['payment_option']=="Paytm"){
        $planTransaction = new PlanTransaction();
        $planTransaction->transaction_name = NULL;
        $planTransaction->phone = $reseller_data->phone;
        $planTransaction->amount = $plan_data->plan_price; 
        $planTransaction->status = 'pending';
        $planTransaction->order_id = $order_id;
        $planTransaction->transaction_id = NULL;
        $planTransaction->reseller_id = $reseller_data->id;
        $planTransaction->plan_id = $plan_data->id;
        $planTransaction->plan_year = $plan_data->plan_year;
        $planTransaction->save();
       
        $payment = PaytmWallet::with('receive');
                    $payment->prepare([
                    'order' => $order_id,
                    'user' => Auth::user()->id ,
                    'mobile_number' => $reseller_data->phone,
                    'email' => $reseller_data->email,
                    'amount' =>$plan_data->plan_price,
                    'callback_url' => url('payments/status'.'/'.Auth::user()->id)
                    ]);
                    return $payment->receive();
    }*/
        if($data['payment_option']=='Paypal'){
            $planTransaction = new PlanTransaction();
            $planTransaction->transaction_name = NULL;
            $planTransaction->phone = $reseller_data->phone;
            $planTransaction->amount = $plan_data->plan_price; 
            $planTransaction->status = 'pending';
            $planTransaction->order_id = $order_id;
            $planTransaction->transaction_id = NULL;
            $planTransaction->reseller_id = $reseller_data->id;
            $planTransaction->plan_id = $plan_data->id;
            $planTransaction->plan_year = $plan_data->plan_year;
            $planTransaction->save();
       

        $data = [];
        $data['items'] = [
            [
                'name' => $reseller_data->name,
                'price' =>$plan_data->plan_price,
                'order_id'=>$order_id,
            ]
        ];
        $data['invoice_id'] = $order_id;
        $data['invoice_description'] = $order_id;
        $data['return_url'] = route('payment.success');
        $data['cancel_url'] = route('payment.cancel');
        $data['notify_url'] = route('payment.notify');
        $data['total'] = $plan_data->plan_price;

        $provider = new ExpressCheckout;
      
        $response = $provider->setExpressCheckout($data);
  
        $response = $provider->setExpressCheckout($data, true);

     
        return redirect($response['paypal_link']);
    }
    if($data['payment_option']=='RazorPay'){
       
         $api = new Api($setting['RAZORPAY_KEY'], $setting['RAZORPAY_SECRET']);
       
        
        $oder_create = [
            'receipt' => $receipt_id,
            'amount' => $plan_data->plan_price * 100,
            'currency' => "INR"
        ];
    
        $order = $api->order->create($oder_create);
       
        $planTransaction = new PlanTransaction();
        $planTransaction->transaction_name = NULL;
        $planTransaction->phone = $reseller_data->phone;
        $planTransaction->amount = $plan_data->plan_price; 
        $planTransaction->status = 'pending';
        $planTransaction->order_id = $order['id'];
        $planTransaction->transaction_id = NULL;
        $planTransaction->reseller_id = $reseller_data->id;
        $planTransaction->plan_id = $plan_data->id;
        $planTransaction->plan_year = $plan_data->plan_year;
        $planTransaction->save();

        $response=[
                'order_id' => $order['id'],
                'amount' =>$plan_data->plan_price * 100,
                'name' => $reseller_data->name,
                'currency' => 'INR',
                'email' => $reseller_data->email,
                'contact' => $reseller_data->phone,
        ];
        return view('reseller.payWithRazorpay')->with(['response'=>$response]);  
    }
     if($data['payment_option']=="Stripe"){
        $setting_data = Setting::get()->toArray();
        return view('reseller.stripe_form')->with(['setting_data'=>$setting_data]);
       
    }
}

 public function stripePost(Request $request)
    {
        $data=$request->all();
        $plan_data=Plan::where(['id'=>$data['plan_id']])->first();
        $order_id=rand();
        $receipt_id=rand();
        $reseller_data=Seller::where(['id'=>Auth::id()])->first();
        $planTransaction = new PlanTransaction();
        $planTransaction->transaction_name = NULL;
        $planTransaction->phone = $reseller_data->phone;
        $planTransaction->amount = $plan_data->plan_price; 
        $planTransaction->status = 'pending';
        $planTransaction->order_id = $order_id;
        $planTransaction->transaction_id = NULL;
        $planTransaction->reseller_id = $reseller_data->id;
        $planTransaction->plan_id = $plan_data->id;
        $planTransaction->plan_year = $plan_data->plan_year;
        $planTransaction->save();
        $setting =  Setting::all([
            'key','value'
        ])
        ->keyBy('key') // key every setting by its name
        ->transform(function ($setting) {
             return $setting->value; // return only the value
        })
        ->toArray();
        $plan_transaction_data = PlanTransaction::where('order_id',$planTransaction->order_id)->first();
        $dt = \DateTime::createFromFormat('Y-m-d', $plan_transaction_data->created_at);
        $plan_end_date = date('Y-m-d', strtotime('+'.$plan_transaction_data->plan_year.'years'));
        Stripe\Stripe::setApiKey($setting['STRIPE_SECRET']);
      
        try {
                        $charge = Stripe\Charge::create ([
                            'amount' =>$plan_data->plan_price * 100,
                            'currency' => 'USD',
                            "source" => $request->stripeToken,
                            "description" => "Plan payment"
                        ]);
                        $chargeJson = $charge->jsonSerialize();
                       if($chargeJson['status']=="succeeded"){
                          $plan_transaction_data->status = $chargeJson['status'];
                          $plan_transaction_data->transaction_id = $chargeJson['id'];
            /*$plan_transaction_data->created_at = $response['TXNDATE'];*/
            $plan_transaction_data->update();
                        Seller::where('id',Auth::id())->update(['payment_status'=>'1', 'plan_id'=>$plan_transaction_data->plan_id, 'plan_start_date'=>$plan_transaction_data->created_at, 'plan_end_date'=>$plan_end_date ]);
         return redirect()->back()->with('success', 'Payment Successfully Credited.');
     }
                        

                    }catch(Exception $e) { 
                        $error = $e->getMessage(); 
                        return redirect()->back()->with('error', 'Something Went Wrong.');
                    }
        
    }
   
   public function complete(Request $request){
      $data=$request->all();
      
      $signatureStatus = $this->SignatureVerify(
        $request->all()['rzp_signature'],
        $request->all()['rzp_paymentid'],
        $request->all()['rzp_orderid']
    );

       if($signatureStatus)
    {
        $user_details = Seller::where('id',Auth::id())->first();

        $plan_transaction_data = PlanTransaction::where('order_id',$data['rzp_orderid'])->first();
        $dt = \DateTime::createFromFormat('Y-m-d', $plan_transaction_data->created_at);
        $plan_end_date = date('Y-m-d', strtotime('+'.$plan_transaction_data->plan_year.'years'));

            $plan_transaction_data->status = "Success";
            $plan_transaction_data->transaction_id = $data['rzp_paymentid'];
            $plan_transaction_data->created_at = $plan_transaction_data->updated_at;
            $plan_transaction_data->update();
            Seller::where('id',Auth::id())->update(['payment_status'=>'1', 'plan_id'=>$plan_transaction_data->plan_id, 'plan_start_date'=>$plan_transaction_data->created_at, 'plan_end_date'=>$plan_end_date ]);
            return redirect('/reseller/dashboard');
    }
    else{
       
        dd("Unsuccessful Attempt");
    }
      
   }

   private function SignatureVerify($_signature,$_paymentId,$_orderId)
    {
    try
    {
        // Create an object of razorpay class
        $api = new Api('rzp_test_h0cwc0nIdSMJe4', 'Y2u4IcE7AzoNHYOIw8dH2tFd');
        $attributes  = array('razorpay_signature'  => $_signature,  'razorpay_payment_id'  => $_paymentId ,  'razorpay_order_id' => $_orderId);
        $order  = $api->utility->verifyPaymentSignature($attributes);
        return true;
    }
    catch(\Exception $e)
    {
        // If Signature is not correct its give a excetption so we use try catch
        return false;
    }
}

   public function notify(Request $request){
      $data=$request->all();
      $store= Notify_URL_Temp::create($data);
   }

   public function cancel()
    {
        dd('Your payment is canceled. You can create cancel page here.');
    }

    public function success(Request $request)
    {

        $data=$request->all();

        $provider = new ExpressCheckout;
        
        $response = $provider->getExpressCheckoutDetails($request->token);
        $plan_transaction_data = PlanTransaction::where('order_id',$response['INVNUM'])->first();

        $plan_end_date = date('Y-m-d', strtotime('+'.$plan_transaction_data->plan_year.'years'));
        $plan_transaction_data->created_at =date('Y-m-d');

        $plan_transaction_data->status = $response['ACK'];
        $plan_transaction_data->transaction_id = $response['TOKEN'];
        $plan_transaction_data->created_at = $response['TIMESTAMP'];
        $status = $plan_transaction_data->update();

        // dd($status);
        

        if (in_array(strtoupper($response['ACK']), ['SUCCESS', 'SUCCESSWITHWARNING'])) {
           Seller::where('id',Auth::id())->update(['payment_status'=>'1', 'plan_id'=>$plan_transaction_data->plan_id, 'plan_start_date'=>$plan_transaction_data->created_at, 'plan_end_date'=>$plan_end_date ]);
           return redirect()->back()->with('success', 'Payment Successfully Credited.');
        }else{
            return redirect()->back()->with('success', 'Payment Successfully Failed.');
        }
  
        // dd('Something is wrong.');
    }

   public function paymentCallback(Request $request, $user_id)
    {   
        $data=$request->all();
       
        $user_details = Seller::where('id',$user_id)->first();
        $plan_transaction_data = PlanTransaction::where('order_id',$data['ORDERID'])->first();
        $dt = \DateTime::createFromFormat('Y-m-d', $plan_transaction_data->created_at);
      
         $plan_end_date = date('Y-m-d', strtotime('+'.$plan_transaction_data->plan_year.'years'));

            $transaction = PaytmWallet::with('receive');
            $response = $transaction->response();
            $plan_transaction_data->transaction_name = $response['BANKNAME'];
            $plan_transaction_data->status = $response['STATUS'];
            $plan_transaction_data->transaction_id = $response['TXNID'];
            $plan_transaction_data->created_at = $response['TXNDATE'];
            $plan_transaction_data->update();
            if($transaction->isSuccessful()){
               Seller::where('id',Auth::id())->update(['payment_status'=>'1', 'plan_id'=>$plan_transaction_data->plan_id, 'plan_start_date'=>$plan_transaction_data->created_at, 'plan_end_date'=>$plan_end_date ]);
         return redirect()->back()->with('success', 'Payment Successfully Credited.');
        }else if($transaction->isFailed()){
       
         return redirect()->back()->with('error', 'Payment Failed. Try again later');
        }
           
        }

      public function web_setting(Request $request)
      { 
          $setting_data = Setting::get()->toArray();
        
          
         return view('reseller.web_setting')->with(['setting_data'=>$setting_data]);
      }

     public function saveSetting(Request $request)
      { 
         $data=$request->all();
         $data['reseller_id']=Auth::id();
         $saveSetting=SiteSetting::create($data);
         $setting_data = Setting::get()->toArray();

         $site_url=SiteSetting::leftJoin('resellers','resellers.id','=','site_settings.reseller_id')->where('resellers.id','=',Auth::id())->get();
         Mail::to($setting_data[7]['value'])->send(new SiteURL($site_url));
         return response()->json([
            'saveSetting'=>$saveSetting,
         ]);
      }

    }

 