<?php

namespace App\Http\Requests\Admin;

use App\Models\Admin;
use Illuminate\Foundation\Http\FormRequest;

class LoginValidation extends FormRequest
{
  // use \App\Http\Requests\Response;

  /**
   * Determine if the user is authorized to make this request.
   *
   * @return bool
   */
  public function authorize()
  {
    return true;
  }

  /**
   * Get the validation rules that apply to the request.
   *
   * @return array
   */
  public function rules()
  {
    return [
      'email' => 'required|regex:/^(\s?[^\s,]+@[^\s,]+\.[^\s,]+\s?)*(\s?[^\s,]+@[^\s,]+\.[^\s,]+)$/',
      'password' => 'required',
    ];
  }

  public function messages()
  {
    return [

    ];
  }

  public function withValidator($validator)
  {
    $is_admin_exist = Admin::where('email',$this->email)->first();
    $validator->after(function ($validator) use ($is_admin_exist) {
        if (empty($is_admin_exist)) {
          $validator->errors()->add('password', 'Account does not exist');
        }
        elseif (!\Hash::check($this->password, $is_admin_exist->password)) {
          $validator->errors()->add('password', 'Incorrect password');
        }
    });
    return;
  }
}
