<?php

namespace App\Http\Requests\Admin;

use App\Models\Admin;
use Illuminate\Foundation\Http\FormRequest;

class SettingValidation extends FormRequest
{
  // use \App\Http\Requests\Response;

  /**
   * Determine if the user is authorized to make this request.
   *
   * @return bool
   */
  public function authorize()
  {
    return true;
  }

  /**
   * Get the validation rules that apply to the request.
   *
   * @return array
   */
  public function rules()
  {
    if($this->setting_section == 'website')
    {
      return [
        'admin_email' => 'nullable|regex:/^(\s?[^\s,]+@[^\s,]+\.[^\s,]+\s?)*(\s?[^\s,]+@[^\s,]+\.[^\s,]+)$/',
        // "payment_method" => 'required',
        "site_logo" => 'mimes:jpeg,png',
        "site_favicon" => 'mimes:jpeg,png',
        "site_title" => 'required',
        "site_meta_description" => 'required',
        "site_name" => 'required'
      ];
    }
    if ($this->setting_section == 'contact') 
    {
      return [
        'pincode' => 'nullable|regex:/^([1-9][0-9]{5})$/',
        "mobile_no" => 'nullable|regex:/^(\+)([1-9]{2})(\d{8,15})$/'
      ];
    }
    return[];
  }

  public function messages()
  {
    return [

      'site_logo.dimensions' =>'Recommended banner size 132px * 65px'

    ];
  }

  // public function withValidator($validator)
  // {
  //   // $is_admin_exist = Admin::where('email',$this->email)->first();
  //   // $validator->after(function ($validator) use ($is_admin_exist) {
  //   //     if (empty($is_admin_exist)) {
  //   //       $validator->errors()->add('password', 'Account does not exist');
  //   //     }
  //   //     elseif (!\Hash::check($this->password, $is_admin_exist->password)) {
  //   //       $validator->errors()->add('password', 'Incorrect password');
  //   //     }
  //   // });
  //   // return;
  // }
}
