<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Schema;
use App\Models\Setting;
class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
       
        $setting =  Setting::all([
            'key','value'
        ])
        ->keyBy('key') // key every setting by its name
        ->transform(function ($setting) {
             return $setting->value; // return only the value
        })
        ->toArray();
       
        Schema::defaultStringLength(191);
        \Config::set('services.paytm-wallet.merchant_id', $setting['paytm_merchant_id']);
        \Config::set('services.paytm-wallet.merchant_key', $setting['paytm_merchant_key']);
        \Config::set('services.paytm-wallet.merchant_website', $setting['paytm_merchant_env']);

        \Config::set('services.instamojo.api_key', $setting['instamojo_merchant_id']);
        \Config::set('services.instamojo.auth_token', $setting['instamojo_merchant_key']);
        \Config::set('services.instamojo.url', $setting['instamojo_env_url']);

        \Config::set('mail.default', $setting['MAIL_MAILER']);
        \Config::set('mail.mailers.smtp.host', $setting['MAIL_HOST']);
        \Config::set('mail.mailers.smtp.port', $setting['MAIL_PORT']);
        \Config::set('mail.mailers.smtp.username', $setting['MAIL_USERNAME']);
        \Config::set('mail.mailers.smtp.password', $setting['MAIL_PASSWORD']);
        \Config::set('mail.mailers.smtp.encryption', $setting['MAIL_ENCRYPTION']);
        \Config::set('mail.from.address', $setting['MAIL_FROM_ADDRESS']);

        \Config::set('services.razorpay.key', $setting['RAZORPAY_KEY']);
        \Config::set('services.razorpay.secret', $setting['RAZORPAY_SECRET']);

        \Config::set('services.paypal.PAYPAL_SANDBOX_API_USERNAME', $setting['PAYPAL_SANDBOX_API_USERNAME']);
        \Config::set('services.paypal.PAYPAL_SANDBOX_API_PASSWORD', $setting['PAYPAL_SANDBOX_API_PASSWORD']);
        \Config::set('services.paypal.PAYPAL_SANDBOX_API_SECRET', $setting['PAYPAL_SANDBOX_API_SECRET']);
        \Config::set('services.paypal.PAYPAL_CURRENCY', $setting['PAYPAL_CURRENCY']);
    }
}
