@extends('layouts.admin-master')
@section('content')
<!-- Main content -->
<div class="content-wrapper">
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <h3 class="card-title">Users Listing</h3>
              </div>
              <!-- /.card-header -->
              <input type="hidden" name="" id="type" value="{{$type}}">
              <div class="card-body">
                <table id="example1" class="table table-bordered table-striped user-listing-datatable" style="width: 100%">
                  <thead>
                  <tr>
                    <th>S.no.</th>
                    <th>Name</th>
                   
                    <th>Email</th>
                    <th>Phone Number</th>
                    <!-- <th>Address</th> -->
                    
                  </tr>
                  </thead>
                  <tbody>

                  </tbody>
                </table>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
</div>
@endsection

@push('scripts')

<script>
  $(function () {
    var table = $('#example1').DataTable({
        processing: true,
        serverSide: true,
        "scrollX": true,
        "searching": true,
        "lengthMenu": [10, 25, 50,],
        "pageLength": 10,
        "autoWidth": true,
        "columnDefs": [
    { "width": "20%", "targets": 0 },
    { "width": "30%", "targets": 1 },
    { "width": "20%", "targets": 2 },
    { "width": "20%", "targets": 3 },
  ],
        
        ajax: 
        {  
            type : "GET",
            url: "{{ url('admin/listing-data') }}",
            data: function (d) 
            {
                d.type = $("#type").val()
            }
        },
        // "createdRow": function ( row, data, index ) {
        //     if ( data['status'] == 'deleted' ) {
        //         $('td', row).eq(6).find("*").prop("disabled",true).removeAttr('href');
        //         // $('td', row).eq(6).find("*").hide();
                
        //     }
        // },
        columns: [
        {data: 'DT_RowIndex', name: 'DT_RowIndex'},
        {data: 'name', name: 'name'},
        {data: 'email', name: 'email'},
        {data: 'phone', name: 'phone'},
        // {data: 'checkbox', name: 'checkbox'},
        // {data: 'action', name: 'action', orderable: false, searchable: false},
        ]
        });
    // $("#example1ii").DataTable({
    //   "responsive": true,
    //   "autoWidth": false,
    // });
    // $('#example2').DataTable({
    //   "paging": true,
    //   "lengthChange": false,
    //   "searching": false,
    //   "ordering": true,
    //   "info": true,
    //   "autoWidth": false,
    //   "responsive": true,
    // });
  });
</script>
@endpush