@extends('layouts.admin-master')
@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Settings</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">Home</a></li>
              <!-- <li class="breadcrumb-item active">General Form</li> -->
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <!-- Main content -->
    <section class="content">
      <form action="{{url('admin/save-setting')}}" method="POST" enctype="multipart/form-data">
        @csrf
      <div class="container-fluid">
    @if (session('status'))
    <div class="alert alert-success" role="alert">
    {{ session('status') }}
    </div>
    @endif
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Website Setting</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
                <div class="card-body">
                  <div class="form-group">
                    <label for="exampleInputFile">Site Logo</label>
                    <div class="input-group">
                      <div class="custom-file">
                        <input type="file" name="site_logo" class="custom-file-input" id="exampleInputFile">
                        <label class="custom-file-label" for="exampleInputFile">Choose logo</label>
                      </div>
                    </div>
                  </div>
                  @if($errors->has('site_logo'))
                  <div class="error login-validation-error">{{ $errors->first('site_logo') }}</div><br>
                  @endif
                  <div class="form-group">
                    <label for="exampleInputFile">Site Favicon</label>
                    <div class="input-group">
                      <div class="custom-file">
                        <input type="file" name="site_favicon" class="custom-file-input" id="exampleInputFile">
                        <label class="custom-file-label" for="exampleInputFile">Choose favicon</label>
                      </div>
                    </div>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Title</label>
                    <input type="text" class="form-control" name="site_title" id="exampleInputEmail1" placeholder="Enter title" value="{{old('site_title',$setting_data->site_title)}}">
                  </div>
                   @if($errors->has('site_title'))
                  <div class="error login-validation-error">{{ $errors->first('site_title') }}</div><br>
                  @endif
                </div>
            </div>

          </div>
          <!--/.col (left) -->
          <!-- right column -->
          <div class="col-md-6">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
              <h3 class="card-title">Contact Setting</h3>
              </div>
                <div class="card-body">
                  <div class="form-group">
                    <label for="exampleInputFile">Address</label><br>
                    <div class="input-group">
                        <textarea class="form-control" name="address" placeholder="Enter address">{{old('address',$setting_data->address)}}</textarea>
                    </div>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Mobile No.</label>
                    <input type="text" class="form-control" name="mobile_no" id="exampleInputEmail1" placeholder="Enter mobile no(+911234567890)" value="{{old('mobile_no',$setting_data->mobile_no)}}">
                  </div>
                   @if($errors->has('mobile_no'))
                      <div class="error login-validation-error">{{ $errors->first('mobile_no') }}</div><br>
                      @endif
                  <div class="form-group">
                    <label for="exampleInputEmail1">Email</label>
                    <input type="text" class="form-control" name="email" id="exampleInputEmail1" placeholder="Enter email"  value="{{old('email',$setting_data->email)}}">
                  </div>
                </div>
            </div>
          </div>
        </div>
        <div class="col-md-6">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
              <h3 class="card-title">Payment Method</h3>
              </div>
             <div class="card-body">
                <div class="row">
                  <div class="col-sm-6">
                    <!-- radio -->
                    <div class="form-group clearfix">
                      <div class="icheck-success d-inline">
                        <input type="radio" name="payment_method" @if($setting_data->payment_method == 'paytm' ) checked @endif value="paytm" id="radioSuccess1">
                        <label for="radioSuccess1" >
                         Paytm
                        </label>
                      </div>
                    </div>
                  </div>
                      @if($errors->has('payment_method'))
                      <div class="error login-validation-error">{{ $errors->first('payment_method') }}</div><br>
                      @endif
                </div>
              </div>
          </div>
      </div><!-- /.container-fluid -->
       <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Save Settings</button>
                </div>
    </section>

</div>
</form>

    <!-- /.content -->
  </div>
@endsection