@extends('layouts.admin-master')
@section('content')
    <!-- Main content -->
    <div class="content-wrapper">
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <div class="row">
                                    <div class="col-md-6">
                                        <h3 class="card-title">Plan</h3>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-primary email-button"  data-toggle="modal" data-target="#plan-modal">Add Plan</button>


                                    </div> 
                                </div>
                            </div>
                     
                            <div class="card-body">
                                <table  id="planTable" class="table table-bordered table-striped user-listing-datatable data-table display select" style="width: 100%">
                                    <thead>
                                    <tr>

                                        <th>S.No.</th>
                                        <th>Plan Name</th>
                                        <th>Plan Price</th>
                                        <th>Plan Year</th>
                                        <th>Status</th>
                                        <th>User Type</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>
                                       <tbody class="plan_data">
                                           @if(count($plan_data)!='0')
                                             @foreach($plan_data as $key=>$plan)
                                             <tr>
                                              <td>{{$key+1}}</td>
                                              <td>{{$plan->plan_name}}</td>
                                              <td>{{$plan->plan_price}}</td>
                                              <td>{{$plan->plan_year}}</td>
                                              <td>
                                                <select class="form-group status" name="status" data="{{$plan->id}}">
                                                @if($plan->status=='1')
                                                <option value="{{$plan->status}}">Active</option>
                                                <option value="0">Inactive</option>
                                                @else
                                                <option value="{{$plan->status}}">Inactive</option>
                                                <option value="1">Active</option>
                                                @endif
                                               </select> 
                                            </td>
                                              <td>{{$plan->user_type}}</td>
                                              <td><a href="#" type="submit" data="{{$plan->id}}" class="btn btn-primary edit">Edit</a></td>
                                            </tr>
                                             @endforeach
                                           @endif
                                       </tbody>
                                </table>








                                <!-- The Modal -->
                                <div class="modal fade" id="plan-modal">
                                    <div class="modal-dialog">
                                        <div class="modal-content">

                                            <!-- Modal Header -->
                                            <div class="modal-header">
                                                <h4 class="modal-title">Add Plan</h4>
                                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                                            </div>

                                            <!-- Modal body -->
                                            <div class="modal-body">
                                               <form id="plan_form">
                                                @csrf
                                                  <div class="card-body">
                                                      <div class="col-md-12">
                                                              <div class="form-group">
                                                                   <label for="plan_name">Plan Name</label>
                                                                   <div class="form-group-inner">
                                                                       <div class="field-outer">
                                                                           <input class="form-control" type="text" name="plan_name" id="plan_name" placeholder="Plan Name">
                                                                       </div>
                                                                   </div>
                                                              </div> 
                                              
                                                              <div class="form-group">
                                                                   <label for="plan_price">Price</label>
                                                                   <div class="form-group-inner">
                                                                       <div class="field-outer">
                                                                           <input class="form-control" type="text" name="plan_price" id="plan_price" placeholder="Price">
                                                                       </div>
                                                                   </div>
                                                              </div>
                                                              <div class="form-group">
                                                                   <label for="plan_month">Validity (in years)</label>
                                                                   <div class="form-group-inner">
                                                                       <div class="field-outer">
                                                                           <input class="form-control" type="text"  name="plan_year" id="plan_year" placeholder="In Years">
                                                                       </div>
                                                                   </div>
                                                              </div>
                                                              <div class="form-group">
                                                        <label for="status" class="col-sm-4 col-form-label">Status</label>
                                                        <div class="input-group col-sm-8">
                                                            <div class="form-check form-check-inline">
                                                                <input type="radio" class="form-check-input"  name="status" id="active" value="1">
                                                                <label class="form-check-label" for="status">Active</label>
                                                            </div>

                                                            <div class="form-check form-check-inline">
                                                                <input type="radio" class="form-check-input"  name="status" id="deactive" value="0">
                                                                <label class="form-check-label" for="status">Inactive</label>
                                                            </div>

                                                        </div>
                                                    </div>

                                                              <div class="form-group">
                                                                   <label for="plan_month">User Type</label>
                                                                   <div class="form-group-inner">
                                                                      <select name="user_type" id="user_type">
                                                                        <option value="User">User</option>
                                                                        <option value="Seller">Seller</option>
                                                                      </select>
                                                                       
                                                                   </div>
                                                              </div>                                   
                                                          </div>
                                                          <div class="form-group submit text-left">
                                                              <label for="submit"></label>
                                                              <div class="form-group-inner">
                                                                   <div class="field-outer">
                                                                    <button type="submit" class="btn btn-primary" id="planSubmit">Submit</button>
                                                                   </div>
                                                              </div>
                                                          </div>                
                                                      </div>
                                                    </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <!-- /.card-body -->
                        </div>
                        <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </section>
        <!-- /.content -->
    </div>

    <div class="modal fade" id="edit_plan_modal">
        <div class="modal-dialog">
            <div class="modal-content">

                                            <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Edit Plan</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                                            <!-- Modal body -->
                <div class="modal-body">
                    <form id="edit_plan_form">
                        <input type="hidden" value="" class="plan_id" name="id">
                        @csrf
                        <div class="card-body">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="plan_name">Plan Name</label>
                                        <div class="form-group-inner">
                                            <div class="field-outer">
                                                <input class="form-control" type="text" name="plan_name" id="edit_plan_name" value="" placeholder="Plan Name">
                                            </div>
                                         </div>
                                </div> 
                                              
                                <div class="form-group">
                                    <label for="plan_price">Price</label>
                                        <div class="form-group-inner">
                                            <div class="field-outer">
                                                <input class="form-control" type="text" name="plan_price" id="edit_plan_price" value="" placeholder="Price">
                                            </div>
                                        </div>
                                </div>
                                <div class="form-group">
                                    <label for="plan_month">Validity (in years)</label>
                                    <div class="form-group-inner">
                                        <div class="field-outer">
                                           <input class="form-control" type="text"  name="plan_year" id="edit_plan_year" value=""  placeholder="In Years">
                                        </div>
                                    </div>
                                </div>
                              
                               <div class="form-group">
                                   <label for="plan_month">User Type</label>
                                    <div class="form-group-inner">
                                      <select name="user_type" id="edit_user_type">
                                        <option value="User">User</option>
                                        <option value="Seller">Seller</option>
                                      </select>
                                    </div>
                                </div>                                   
                            </div>
                            <div class="form-group submit text-left">
                                <label for="submit"></label>
                                <div class="form-group-inner">
                                    <div class="field-outer">
                                        <button type="submit" class="btn btn-primary" id="planEditSubmit">Update</button>
                                    </div>
                                </div>
                            </div>                
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')

  <script type="text/javascript">var URL = {!! json_encode(url('/')) !!}</script>
    <script>
    $(function () {
            var table = $('#planTable').DataTable({
            });
    });
  </script>
  <script>
     function editPlanForm(form_data) {
   
  $.ajax({
    url:URL+"/admin/updatePlan",
    method:"post",
    processData: false,
    contentType: false,
    data:form_data,
    success:function(data){ 
       location.reload();
    },
  });
}

  function planForm(formdata) {
   
  $.ajax({
    url:URL+"/storePlan",
    method:"post",
    processData: false,
    contentType: false,
    data:formdata,
    success:function(data){ 
       location.reload();
    },
  });
}

function editPlan(id) {
  $.ajax({
    url:URL+"/admin/editPlan",
    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
    method:'post',
    data: {id:id},
    success:function(data){ 
      if(data.plan_data){
        $('#edit_plan_name').val(data.plan_data.plan_name);
        $('#edit_plan_price').val(data.plan_data.plan_price);
        $('#edit_plan_year').val(data.plan_data.plan_year);
        $("#edit_user_type").val(data.plan_data.user_type);
        $("#edit_plan_modal").modal("show");
      }
      
    },
  });
}

function changeStatus(status,id) {
  $.ajax({
    url:URL+"/admin/changeStatus",
    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
    method:'post',
    data: {status:status,
        id:id},
    success:function(data){ 
      if(data.plan_data){
        location.reload();
      }
      
    },
  });
}


  $(document).ready(function() {
    $('#planEditSubmit').click(function(event){
      event.preventDefault();
      var form = $("#edit_plan_form")[0];
      var form_data= new FormData(form);
      var plan_name=$('#edit_plan_name').val();
      var plan_price=$('#edit_plan_price').val();
      var plan_year=$('#edit_plan_year').val();
      var validate=true;
      if(plan_name==""){
        $('#edit_plan_name').css({'border' : '1px solid red'});
        validate=false;
      }
      if(plan_price==""){
        $('#edit_plan_price').css({'border' : '1px solid red'});
        validate=false;
      }
      if(plan_year==""){
        $('#edit_plan_year').css({'border' : '1px solid red'});
        validate=false;
      }
      if(validate==true){
        editPlanForm(form_data);
      }
    });

    $("body").on("change","#plan_name,#plan_price,#plan_year",function (e) {
      if ($(this).val()!='0') {
        $(this).removeAttr('style');
      }
    });

    $(".edit").click(function(){
        $('.plan_id').val($(this).attr("data"));
        var id=$(this).attr('data');
        editPlan(id);
    });

    $('.status').change(function(){
       var status = $(this).val();
       var id = $(this).attr('data');
       changeStatus(status,id);
    });

    $('#planSubmit').click(function(event){
      event.preventDefault();
      var form = $("#plan_form")[0];
      var formdata= new FormData(form);
      var plan_name=$('#plan_name').val();
      var plan_price=$('#plan_price').val();
      var plan_year=$('#plan_year').val();
      var validate=true;
      if(plan_name==""){
        $('#plan_name').css({'border' : '1px solid red'});
        validate=false;
      }
      if(plan_price==""){
        $('#plan_price').css({'border' : '1px solid red'});
        validate=false;
      }
      if(plan_year==""){
        $('#plan_year').css({'border' : '1px solid red'});
        validate=false;
      }
      if(validate==true){
        planForm(formdata);
      }
    });

  });
    </script>
@endpush
 