<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Online Vcards | Make your Digital Visiting Card Online</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="shortcut icon" href="img/favicon.ico">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{ asset('assets/plugins/fontawesome-free/css/all.min.css') }}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{ asset('assets/dist/css/adminlte.min.css') }}">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="{{ asset('assets/dist/css/custom.css') }}">
</head>
<body class="hold-transition login-page">
<div class="login-box">
  <div class="login-logo">
    <a><b>Vcard</b>Seller</a>
  </div>
  <!-- /.login-logo -->
  <div class="card">
    <div class="card-body login-card-body">
      <p class="login-box-msg">Sign up to start your session</p>

      <form id="reseller_register">
        @csrf
        <div class="input-group mb-3">
          <input type="text" name="name" class="form-control" placeholder="Name" required="required" id="name">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-user"></span><br>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          <input type="text" name="phone" class="form-control" placeholder="Phone" required="required" id="phone">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-phone"></span><br>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          <input type="email" name="email" class="form-control" placeholder="Email" required="required" id="email">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span><br>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          <input type="password" name="password" id="password" class="form-control" placeholder="Password" required="required">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          <input type="password" name="conf_password" id="confirm_password" class="form-control" placeholder="Confirm Password" required="required">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        
          <div class="col-12">
            <button type="submit" id="register" class="btn btn-primary btn-block">Register</button>
          </div><br>
          </form>
          <div class="col-12">
            <a href="{{ url('/reseller/login')}}"><button type="submit" class="btn btn-primary btn-block">Log In</button></a>
          </div>
        
      
    </div>
  </div>
</div>
<!-- /.login-box -->

<!-- jQuery -->
<script src="{{ asset('assets/plugins/jquery/jquery.min.js') }}"></script>
<!-- Bootstrap 4 -->
<script src="{{ asset('assets/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
<!-- bs-custom-file-input -->
<script src="{{ asset('assets/plugins/bs-custom-file-input/bs-custom-file-input.min.js') }}"></script>
<!-- AdminLTE App -->
<script src="{{ asset('assets/dist/js/adminlte.min.js') }}"></script>
<!-- AdminLTE for demo purposes -->
<script src="{{ asset('assets/dist/js/demo.js') }}"></script>
<script type="text/javascript">var URL = {!! json_encode(url('/')) !!}</script>
<script type="text/javascript">
  function formbtn(formdata) {
  $.ajax({
    url:URL+"/sellerRegister",
    method:"post",
    processData: false,
    contentType: false,
    data:formdata,
    success:function(data){ 
        if (data='success') {
          alert("Registeration Successful");
         window.location.href=URL+"/reseller/login";
          
        }else{
            alert("Registeration Unsuccessful");
             
       }
    },
  });
}
$(document).ready(function () {
  bsCustomFileInput.init();
});
 
$(document).ready(function(){

$('#register').click(function(event){
     event.preventDefault();
  var form = $("#reseller_register")[0];
  var formdata= new FormData(form);
  var validate=true;
  var name=$('#name').val();
  var phone=$('#phone').val();
  var email=$('#email').val();
  var password=$('#password').val();
  var confirm_password=$('#confirm_password').val();
  if(name==""){
    $('#name').css({'border' : '1px solid red'});
    validate=false;
  }
  if(phone==""){
    $('#phone').css({'border' : '1px solid red'});
    validate=false;
  }
  if(email==""){
    $('#email').css({'border' : '1px solid red'});
    validate=false;
  }
  if(password==""){
    $('#password').css({'border' : '1px solid red'});
    validate=false;
  }
  if(confirm_password==""){
    $('#confirm_password').css({'border' : '1px solid red'});
    validate=false;
  }
  if(password!=confirm_password){
    alert("Password must be same");
    validate=false;
  }if(validate==true){
    formbtn(formdata);
   }
});

  $("body").on("change","#name,#phone,#email,#password,#confirm_password",function (e) {
    if ($(this).val()!='0') {
      $(this).removeAttr('style');
  }
  });

});
</script>
</body>
</html>
