@extends('new_site.layout.admin-master')
@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Settings</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/dashboard/1')}}">Home</a></li>
              <!-- <li class="breadcrumb-item active">General Form</li> -->
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <!-- Main content -->
    <section class="content">
      <form action="{{url('admin/new_site/save-setting')}}" method="POST" enctype="multipart/form-data">
        @csrf
      <div class="container-fluid">
    @if (session('status'))
    <div class="alert alert-success" role="alert">
    {{ session('status') }}
    </div>
    @endif
        <div class="row">
        </div>
        <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
              <h3 class="card-title">Payment Method</h3>
              </div>
             <div class="card-body">
                <div class="row">
                  <div class="col-sm-6">
                    <!-- radio -->
                    <div class="form-group clearfix">
                      <div class="icheck-success d-inline">
                        <input type="radio" name="payment_method"  value="paytm" id="radioSuccess1" @if($setting_data['3']['value'] == 'paytm' ) checked @endif>
                        <label for="radioSuccess1" >
                         Paytm
                        </label>
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-6">
                  <div>
                  <button type="button" class="btn btn-primary payment-method-button" data-toggle="modal" data-target="#credentials-modal">View Credentials</button>
                </div>
              </div>
                      @if($errors->has('payment_method'))
                      <div class="error login-validation-error">{{ $errors->first('payment_method') }}</div><br>
                      @endif
                </div>
                <br>
                <div class="row">
                  <div class="col-sm-6">
                    <!-- radio -->
                    <div class="form-group clearfix">
                      <div class="icheck-success d-inline">
                        <input type="radio" name="payment_method"  value="instamojo" id="radioSuccess2" @if($setting_data['3']['value'] == 'instamojo' ) checked @endif>
                        <label for="radioSuccess2" >
                         Instamojo
                        </label>
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-6">
                  <div>
                  <button type="button" class="btn btn-primary payment-method-button" data-toggle="modal" data-target="#credentials-modal-instamojo">View Credentials</button>
                </div>
              </div>
                      @if($errors->has('payment_method'))
                      <div class="error login-validation-error">{{ $errors->first('payment_method') }}</div><br>
                      @endif
                </div>
              </div>
          </div>
      </div>
      <!-- The Modal -->
                  <div class="modal fade" id="credentials-modal">
                    <div class="modal-dialog">
                      <div class="modal-content">
                        <!-- Modal Header -->
                        <div class="modal-header">
                          <h4 class="modal-title">Credentials</h4>
                          <button type="button" class="close" data-dismiss="modal">&times;</button>
                        </div>
                        
                        <!-- Modal body -->
                        <div class="modal-body">
        
                          <div class="form-group">
                          <label for="exampleInputEmail1">Merchant ID</label>
                          <input type="text" class="form-control" name="paytm_merchant_id" id="paytm_merchant_id" placeholder="Enter merchant id"  value="{{$setting_data['0']['value']}}" required  data-parsley-trigger="focusout" data-parsley-required-message="Merchant id field is required">
                          </div>
                          <div class="form-group">
                          <label for="exampleInputEmail1">Merchant Key</label>
                          <input type="text" class="form-control" name="paytm_merchant_key" id="paytm_merchant_key" placeholder="Enter merchant key" value="{{$setting_data['1']['value']}}" required  data-parsley-trigger="focusout" data-parsley-required-message="Merchant Key field is required">
                          </div>
                          <div class="form-group">
                          <label for="exampleInputEmail1">Environment</label>
                          <select class="form-control select2bs4" style="width: 100%;" id="paytm_merchant_env">
                          <option value="staging" @if($setting_data['2']['value'] == 'WEBSTAGING' ) selected @endif >Staging</option>
                          <option value="production" @if($setting_data['2']['value'] == 'WEBPRODUCTION' ) selected @endif >Production</option>
                          </select>
                          </div>
                        </div>


                        
                        <!-- Modal footer -->
                        <div class="modal-footer">
                          <button type="button" class="btn btn-primary" id="update">Update</button>
                        </div>  
                      </div>
                    </div>
                  </div>

                  <!-- Instramojo Modal-->    
                  <div class="modal fade" id="credentials-modal-instamojo">
                    <div class="modal-dialog">
                      <div class="modal-content">
                        <!-- Modal Header -->
                        <div class="modal-header">
                          <h4 class="modal-title">Credentials</h4>
                          <button type="button" class="close" data-dismiss="modal">&times;</button>
                        </div>
                        
                        <!-- Modal body -->
                        <div class="modal-body">
        
                          <div class="form-group">
                          <label for="exampleInputEmail1">Merchant ID</label>
                          <input type="text" class="form-control" name="instamojo_merchant_id" id="instamojo_merchant_id" placeholder="Enter merchant id"  value="{{$setting_data['21']['value']}}" required  data-parsley-trigger="focusout" data-parsley-required-message="Merchant id field is required">
                          </div>
                          <div class="form-group">
                          <label for="exampleInputEmail1">Merchant Key</label>
                          <input type="text" class="form-control" name="instamojo_merchant_key" id="instamojo_merchant_key" placeholder="Enter merchant key" value="{{$setting_data['22']['value']}}" required  data-parsley-trigger="focusout" data-parsley-required-message="Merchant Key field is required">
                          </div>
                          <div class="form-group">
                          <label for="exampleInputEmail1">Environment Url</label>
                          <input type="text" class="form-control" name="instamojo_env_url" id="instamojo_env_url" placeholder="Enter environment url" value="{{$setting_data['23']['value']}}" required  data-parsley-trigger="focusout" data-parsley-required-message="Environment url field is required">
                          </div>
                        </div>                        
                        <!-- Modal footer -->
                        <div class="modal-footer">
                          <button type="button" class="btn btn-primary" id="instamojo-update">Update</button>
                        </div>  
                      </div>
                    </div>
                  </div>
                  </div>
                  </form>
                  </section>
                  </div>
    <!-- /.content -->
  </div>
@endsection
@push('scripts')
<script type="text/javascript">
  var isValid;
  $('input').parsley();
  $('select').parsley();
      $('#update').click(function () {
      var isValid = true;
      $('#credentials-modal input').each( function() {
         if ($(this).parsley().validate() !== true)
         {
          isValid = false;
         }
      });
      if(isValid)
      {
          $.ajax({
                headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                method:"POST",
                url:"{{url('admin/new_site/save-payment-setting')}}",
                data : 
                { 
                    paytm_merchant_id  : $("#paytm_merchant_id").val(),
                    paytm_merchant_key : $("#paytm_merchant_key").val(),
                    paytm_merchant_env : $("#paytm_merchant_env").val(),
                    setting_section    : 'payment',
                },
                success: function(data) {
                    if(data.status == true)
                    {
                       $('#credentials-modal').hide();
                        swal({
                        text: data.message,
                        icon: "success",
                        });
                        location.reload();
                    }
                    else
                    {
                        swal({
                        text: data.message,
                        icon: "error",
                        });
                    }
                }
                });    
      }

    });
      $('#instamojo-update').click(function () {
      var isValid = true;
      $('#credentials-modal-instamojo input').each( function() {
         if ($(this).parsley().validate() !== true)
         {
          isValid = false;
         }
      });
      if(isValid)
      {
          $.ajax({
                headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                method:"POST",
                url:"{{url('admin/new_site/save-payment-setting')}}",
                data : 
                { 
                    instamojo_merchant_id  : $("#instamojo_merchant_id").val(),
                    instamojo_merchant_key : $("#instamojo_merchant_key").val(),
                    instamojo_env_url      : $("#instamojo_env_url").val(),
                    setting_section        : 'payment',
                },
                success: function(data) {
                    if(data.status == true)
                    {
                       $('#credentials-modal-instamojo').hide();
                        swal({
                        text: data.message,
                        icon: "success",
                        });
                        location.reload();
                    }
                    else
                    {
                        swal({
                        text: data.message,
                        icon: "error",
                        });
                    }
                }
                });    
      }

    });
        $(document).on('change',"input[name=payment_method]", function ()
        {
            var payment_method = $(this).val();
            if($(this).prop("checked") == true )
            {
              swal({
              title: "Are you sure?",
              text: "Change payment method",
              icon: "warning",
              buttons: ["Cancel", "Change"],
              dangerMode: true,
              })
              .then((willDelete) => {
              if (willDelete) 
              { 
                  $.ajax({
                  headers: {
                  'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                  },
                  method:"POST",
                  url:"{{url('admin/new_site/update-payment-method')}}",
                  data : 
                  { 
                      payment_method: payment_method
                  },
                  success: function(data) {
                      if(data.status == true)
                      {
                          swal({
                          text: data.message,
                          icon: "success",
                          });
                          location.reload();
                      }
                      else
                      {
                          swal({
                          text: data.message,
                          icon: "error",
                          });
                      }
                  }
                  });   
              } 
              else 
              {
                 if(payment_method == 'paytm')
                 {
                    $('#radioSuccess1').prop('checked',false);
                    $('#radioSuccess2').prop('checked',true);
                 }
                 else
                 {
                    $('#radioSuccess1').prop('checked',true);
                    $('#radioSuccess2').prop('checked',false);
                 }
              }
              });
              
            }
        });
</script>
@endpush