@extends('new_site.layout.admin-master')
@section('content')
    <!-- Main content -->
    <div class="content-wrapper">
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <div class="row">
                                    <div class="col-md-6">
                                        <h3 class="card-title">Plan</h3>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-primary email-button"  data-toggle="modal" data-target="#plan-modal">Add Plan</button>


                                    </div>
                                </div>
                            </div>
                     
                            <div class="card-body">
                                <table  id="planTable" class="table table-bordered table-striped user-listing-datatable data-table display select" style="width: 100%">
                                    <thead>
                                    <tr>

                                        <th>S.No.</th>
                                        <th>Plan Name</th>
                                        <th>Plan Price</th>
                                        <th>Plan Year</th>
                                        <th>User Type</th>
                                    </tr>
                                    </thead>
                                       <tbody class="plan_data">
                                           @if(count($plan_data)!='0')
                                             @foreach($plan_data as $key=>$plan)
                                             <tr>
                                              <td>{{$key+1}}</td>
                                              <td>{{$plan->plan_name}}</td>
                                              <td>{{$plan->plan_price}}</td>
                                              <td>{{$plan->plan_year}}</td>
                                              <td>{{$plan->user_type}}</td>
                                            </tr>
                                             @endforeach
                                           @endif
                                       </tbody>
                                </table>








                                <!-- The Modal -->
                                <div class="modal fade" id="plan-modal">
                                    <div class="modal-dialog">
                                        <div class="modal-content">

                                            <!-- Modal Header -->
                                            <div class="modal-header">
                                                <h4 class="modal-title">Add Plan</h4>
                                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                                            </div>

                                            <!-- Modal body -->
                                            <div class="modal-body">
                                               <form id="plan_form">
                                                @csrf
                                                  <div class="card-body">
                                                      <div class="col-md-12">
                                                              <div class="form-group">
                                                                   <label for="plan_name">Plan Name</label>
                                                                   <div class="form-group-inner">
                                                                       <div class="field-outer">
                                                                           <input class="form-control" type="text" name="plan_name" id="plan_name" placeholder="Plan Name">
                                                                       </div>
                                                                   </div>
                                                              </div> 
                                              
                                                              <div class="form-group">
                                                                   <label for="plan_price">Price</label>
                                                                   <div class="form-group-inner">
                                                                       <div class="field-outer">
                                                                           <input class="form-control" type="text" name="plan_price" id="plan_price" placeholder="Price">
                                                                       </div>
                                                                   </div>
                                                              </div>
                                                              <div class="form-group">
                                                                   <label for="plan_month">Validity (in years)</label>
                                                                   <div class="form-group-inner">
                                                                       <div class="field-outer">
                                                                           <input class="form-control" type="text"  name="plan_year" id="plan_year" placeholder="In Years" value="5" readonly>
                                                                       </div>
                                                                   </div>
                                                              </div>
                                                              <div class="form-group">
                                                                   <label for="plan_month">User Type</label>
                                                                   <div class="form-group-inner">
                                                                      <select name="user_type" id="user_type">
                                                                        <option value="User">User</option>
                                                                       
                                                                      </select>
                                                                       
                                                                   </div>
                                                              </div>                                   
                                                          </div>
                                                          <div class="form-group submit text-left">
                                                              <label for="submit"></label>
                                                              <div class="form-group-inner">
                                                                   <div class="field-outer">
                                                                    <button type="submit" class="btn btn-primary" id="planSubmit">Submit</button>
                                                                   </div>
                                                              </div>
                                                          </div>                
                                                      </div>
                                                    </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <!-- /.card-body -->
                        </div>
                        <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </section>
        <!-- /.content -->
    </div>
@endsection

@push('scripts')

  <script type="text/javascript">var URL = {!! json_encode(url('/')) !!}</script>
    <script>
    $(function () {
            var table = $('#planTable').DataTable({
            });
    });
  </script>
  <script>
    function planForm(formdata) {
   
  $.ajax({
    url:URL+"/new_site/storePlan",
    method:"post",
    processData: false,
    contentType: false,
    data:formdata,
    success:function(data){ 
       location.reload();
    },
  });
}
  $(document).ready(function() {
    $('#planSubmit').click(function(event){
      event.preventDefault();
      var form = $("#plan_form")[0];
      var formdata= new FormData(form);
      var plan_name=$('#plan_name').val();
      var plan_price=$('#plan_price').val();
      var plan_year=$('#plan_year').val();
      var validate=true;
      if(plan_name==""){
        $('#plan_name').css({'border' : '1px solid red'});
        validate=false;
      }
      if(plan_price==""){
        $('#plan_price').css({'border' : '1px solid red'});
        validate=false;
      }
      if(plan_year==""){
        $('#plan_year').css({'border' : '1px solid red'});
        validate=false;
      }
      if(validate==true){
        planForm(formdata);
      }
    });

    $("body").on("change","#plan_name,#plan_price,#plan_year",function (e) {
      if ($(this).val()!='0') {
        $(this).removeAttr('style');
      }
    });

    /*$('#user_type').on('change', function() {
      if(this.value=="User"){
       $('#plan_year').val('5').attr('disabled','disabled');
      }else{
        $('#plan_year').val(''); 
        $('#plan_year').attr('disabled',false);
      }
    });*/
  });
    </script>
@endpush
