@extends('new_site.layout.admin-master')
@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Settings</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">Home</a></li>
              <!-- <li class="breadcrumb-item active">General Form</li> -->
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <!-- Main content -->
    <section class="content">
      <form action="{{url('save/website_setting')}}" method="POST" enctype="multipart/form-data" class="form-horizontal">
        @csrf
      <div class="container-fluid">
    @if (session('status'))
    <div class="alert alert-success" role="alert">
    {{ session('status') }}
    </div>
    @endif
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Website Setting</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <div class="website-setting-div">
                <div class="card-body">
                  <div class="form-group row">
                    <label for="exampleInputFile" class="col-sm-2 col-form-label">Site Logo</label>
                    <div class="input-group col-sm-8">
                      <div class="custom-file">
                        <input type="file" name="site_logo" class="custom-file-input" id="exampleInputFile">
                        <label class="custom-file-label" for="exampleInputFile">@if($setting_data['4']['value']){{$setting_data['4']['value']}} @else Choose Logo @endif</label>
                      </div>
                    </div>
                  </div>
                  @if($errors->has('site_logo'))
                  <div class="error login-validation-error">{{ $errors->first('site_logo') }}</div><br>
                  @endif
                  <div class="form-group row">
                    <label for="exampleInputFile" class="col-sm-2 col-form-label">Site Favicon</label>
                    <div class="input-group col-sm-8">
                      <div class="custom-file">
                        <input type="file" name="site_favicon" class="custom-file-input" id="exampleInputFile">
                        <label class="custom-file-label" for="exampleInputFile">@if($setting_data['4']['value']){{$setting_data['5']['value']}} @else Choose Favicon @endif</label>
                      </div>                    </div>
                  </div>
                  <div class="form-group row">
                    <label for="exampleInputEmail1" class="col-sm-2 col-form-label">Meta Title</label>
                    <div class="input-group col-sm-8">
                    <input type="text" class="form-control" name="site_title" id="exampleInputEmail1" placeholder="Enter title" value="{{old('site_title',$setting_data['6']['value'])}}">
                  </div>
                  </div>
                   @if($errors->has('site_title'))
                  <div class="error login-validation-error">{{ $errors->first('site_title') }}</div><br>
                  @endif
                  <div class="form-group row">
                    <label for="exampleInputEmail1" class="col-sm-2 col-form-label">Meta Description</label>
                    <div class="input-group col-sm-8">
                    <input type="text" class="form-control" name="site_meta_description" id="exampleInputEmail1" placeholder="Enter title" value="{{old('site_meta_description',$setting_data['15']['value'])}}">
                  </div>
                  </div>
                   @if($errors->has('site_meta_description'))
                  <div class="error login-validation-error">{{ $errors->first('site_meta_description') }}</div><br>                  @endif
                  <div class="form-group row">
                    <label for="exampleInputEmail1" class="col-sm-2 col-form-label">Admin Email</label>
                    <div class="input-group col-sm-8">
                    <input type="text" class="form-control" name="admin_email" id="exampleInputEmail1" placeholder="Enter email" value="{{old('admin_email',$setting_data['7']['value'])}}">
                    </div>
                  </div>
                   @if($errors->has('admin_email'))
                  <div class="error login-validation-error">{{ $errors->first('admin_email') }}</div><br>
                  @endif
                  <div class="form-group  row">
                    <label for="exampleInputFile"  class="col-sm-2 col-form-label">Eembedded Css</label><br>
                    <div class="input-group col-sm-8">
                        <textarea class="form-control" name="embedded_css" placeholder="Enter css">{{old('embedded_css',$setting_data['16']['value'])}}</textarea>                    </div>
                  </div>
                   <div class="form-group row">
                    <label for="exampleInputFile" class="col-sm-2 col-form-label">Eembedded Js</label><br>
                    <div class="input-group col-sm-8">
                        <textarea class="form-control" name="embedded_js" placeholder="Enter js">{{old('embedded_js',$setting_data['17']['value'])}}</textarea>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label for="exampleInputEmail1" class="col-sm-2 col-form-label">Vcard Free Trial Days</label>
                    <div class="input-group col-sm-8">
                    <input type="text" class="form-control" name="free_trial_days" id="exampleInputEmail1" placeholder="Enter email" value="{{old('free_trial_days',$setting_data['19']['value'])}}">
                    </div>
                  </div>
                  <div class="form-group row">
                    <label for="exampleInputEmail1" class="col-sm-2 col-form-label">Site Name</label>
                    <div class="input-group col-sm-8">
                    <input type="text" class="form-control" name="site_name" id="exampleInputEmail1" placeholder="Enter site name" value="{{old('site_name',$setting_data['20']['value'])}}">
                    </div>
                  </div>
                     @if($errors->has('site_name'))
                  <div class="error login-validation-error">{{ $errors->first('site_name') }}</div><br>
                  @endif
                </div>
              </div>
            </div>

          </div>
        
        </div>
      </div><!-- /.container-fluid -->
       <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Save Settings</button>
                </div>
                </form>
    </section>

</div>


    <!-- /.content -->
  </div>
@endsection