@extends('new_ste.layout.app')
@section('titlearea')
  {{$setting_data['6']['value']}}
@endsection
@section('content')
	<div class="container-fluid full-height">
    <div class="row row-height">
      @include('layouts.left-content')
      <div class="col-lg-6 content-right" id="start">
        <div id="wizard_container" class="wizard_container_2">
        	<div id="top-wizard">
        		<div id="progressbar"></div>
        	</div>
        	<!-- /top-wizard -->
          <div>
            <a  type="submit" href="{{ route('logout') }}"
            onclick="event.preventDefault();document.getElementById('logout-form').submit();">
            <b  style="margin-left: 500px; margin-bottom: 400px;">{{ __('Logout') }}</b>
            </a>
            @if (session('status'))
            <div class="alert alert-success" role="alert">
              {{ session('status') }}
            </div>
            @endif
            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
              @csrf
            </form>
          </div>
          <form method="POST" action="{{route('products.storedata')}}" enctype="multipart/form-data" id="next">
            @csrf
            <input id="website" name="website" type="text" value="">
            <input type="hidden" id="isValid" value="">
            <!-- Leave for security protection, read docs for details -->  
            <div id="middle-wizard">
              @if ($errors->any())
              <ul id="errors">
                @foreach ($errors->all() as $error)
                <li class="alert alert-danger">{{ $error }}</li>
                @endforeach
              </ul>
              @endif
            <div class="step">
              <h3 class="main_question">Create VCard</h3>
              @if (session('success'))
              <div class="alert alert-success" role="alert">
                {{ session('success') }}
              </div>
              @endif
              @if (session('danger'))
              <div class="alert alert-success" role="alert">
                {{ session('danger') }}
              </div>
              @endif
              <h4 class="main_question">
                Hi,<b>{{ Auth::user()->name }}</b>
              </h4>
          		<div class="tabs_wrapper">
            		<ul class="tabs">
            		  <li class="active" rel="tab1" id="tab1active">About Me</li>
            		  <li rel="tab2" id="tab2active">Contact Details</li>
            		  <li rel="tab3" id="tab3active">Company Details</li>
            		  <li rel="tab4" id="tab4active">Social Links</li>
            		  <!-- <li rel="tab5">Payment Details</li> -->
            		</ul>
              <div class="tab_container">
              	<h3 class="d_active tab_drawer_heading" rel="tab1">About Me</h3>
              	<div id="tab1" class="tab_content">
                  <div class="form-group">
                    <input type="text" name="firstname" value="{{ old('firstname') }}" class="form-control" placeholder="First Name" required  data-parsley-trigger="focusout" data-parsley-required-message="First name field is required">
                    @if($errors->first('firstname'))
                    <label class="text-danger">{{$errors->first('firstname')}}</label>
                    @endif
                  </div>
                  <div class="form-group">
                    <input type="text" name="lastname" value="{{ old('lastname') }}" class="form-control" placeholder="Last Name" required  data-parsley-trigger="focusout" data-parsley-required-message="Last name field is required">
                    @if($errors->first('lastname'))
                    <label class="text-danger">{{$errors->first('lastname')}}</label>
                    @endif
                  </div>
                  <div class="form-group">
                    <input type="text" name="profession" value="{{ old('profession') }}" class="form-control" placeholder="Profession" required  data-parsley-trigger="focusout" data-parsley-required-message="Profession field is required">
                    @if($errors->first('profession'))
                    <label class="text-danger">{{$errors->first('profession')}}</label>
                    @endif
                  </div>
                  <div class="form-group">
                    <textarea name="about_me" class="form-control" rows="" placeholder="About Me" cols="">{{ old('about_me') }}</textarea>
                  </div>
                  <h6 class="main_question">Upload Your Vcard Profile Picture</h6>
                  <div class="form-group">
                    <input type="file" name ="profile_img"/ required  data-parsley-trigger="focusout" data-parsley-required-message="Profile picture field is required">   
                    @if($errors->first('profile_img'))
                    <label class="text-danger">{{$errors->first('profile_img')}}</label>
                    @endif
                    </label>
                  </div>
                  <div class="tabs_wrapper">
                    <ul class="tabs">
                        <li id="tabs2"  rel="tab2" style="text-align: center" >Next</li>
                    </ul>
                  </div>
                </div>
                <!-- #tab1 -->
                <h3 class="tab_drawer_heading" rel="tab2">Contact Details</h3>
                <div id="tab2" class="tab_content">
                	<div class="form-group">
                	<input type="tel" name="phone" value="{{ Auth::user()->phone }}" class="form-control" placeholder="Phone" required  data-parsley-trigger="focusout" data-parsley-required-message="Phone field is required">
                	</div>
                	<div class="form-group">
                	<input type="email" name="email" value="{{ Auth::user()->email }}" class="form-control" placeholder="Email"  required  data-parsley-trigger="focusout" data-parsley-required-message="Email field is required">
                	</div>
                	<div class="form-group">
                	<input type="tel" name="whatsapp" value="{{ old('whatsapp') }}" class="form-control" placeholder="Whats App">
                	</div>
                	<div class="form-group">
                	<textarea name="address" class="form-control" rows="" placeholder="Address" cols="">{{ old('address') }}</textarea>
                	</div>
                	<div class="form-group">
                	<input type="text" name="skype_id" value="{{ old('skype_id') }}" class="form-control" placeholder="Enter Skype Id">
                	</div>
                	<div class="form-group">
                	<input type="text" name="fb_url" value="{{ old('fb_url') }}" class="form-control" placeholder="Fb Messenger URL" >
                	</div>
                    <div class="tabs_wrapper">
                      <ul class="tabs">
                        <li  rel="tab3" id="tabs3" style="text-align: center">Next</li>
                        </ul>
                    </div>
                </div>
              	<!-- #tab2 -->
                <h3 class="tab_drawer_heading" rel="tab3">Company Details</h3>
                <div id="tab3" class="tab_content">
                	<div class="form-group">
                	 <input type="text" name="company_name" value="{{ old('company_name') }}" class="form-control" placeholder="Company Name">
                	</div>
                	<div class="form-group">
                	 <input type="text" name="company_title" value="{{ old('company_title') }}" class="form-control" placeholder="Company Tagline">
                	</div>
                	<div class="form-group">
                    <textarea name="about_company" class="form-control" style="height:100px;" placeholder="About Company" >{{ old('about_company') }}</textarea>
                		</div>
                  <div class="form-group">
                		<input type="text" name="comp_yt_link" value="{{ old('comp_yt_link') }}" class="form-control" placeholder="About Company Youtube Link">
                	</div>
                	<div class="form-group">
                	  <input type="text" name="address_map_link" value="{{ old('address_map_link') }}" class="form-control" placeholder="Company Address  Map Link">
                	</div>
                	<h6 class="main_question">Upload Your Company Logo</h6>
                	<div class="form-group">
              		  <input type="file" name ="company_logo" id="file" />
              		  </label>
                	</div>
                  <div class="tabs_wrapper">
                    <ul class="tabs">
                      <li  rel="tab4"  id="tabs4" style="text-align: center">Next</li>
                    </ul>
                  </div>
                </div>
              	<!-- #tab3 -->
                <h3 class="tab_drawer_heading" rel="tab4">Social Links</h3>
                <div id="tab4" class="tab_content">
                  <div id="socialLink">
                    <table style="width: 100%">
                      <tbody>
                        <tr >
                          <td>
                            <div class="form-group">
                              <select class="nice-select wide" name="siteSocial[]">
                                  <option value="" selected="selected">Choose Social Link</option>
                                  <option value="fa-facebook-f">Facebook</option>
                                  <option value="fa-twitter">Twitter</option>
                                  <option value="fa-google">Google</option>
                                  <option value="fa-linkedin-in">LinkedIn</option>
                                  <option value="fa-youtube">YouTube</option>
                                  <option value="fa-instagram">Instagram</option>
                                  <option value="fa-quora ">Quora</option>
                                  <option value="fa-google-play">Google Play Store</option>
                                  <option value="fa-app-store-ios">App Store IOS</option>
                                  <option value="fa-bullhorn">Podcast</option>
                                  <option value="fa-blogger">Blogger</option>
                              </select>
                            </div>
                          </td>
                          <td>
                            <div class="form-group">
                              <input type="url" name="social_link[]" value="{{ old('social_link.0') }}" class="form-control" placeholder="Url with http://" >
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <span class="btn btn-primary" onclick="myFunction()">Add</span>
                  <span class="btn btn-danger" onclick="myFunctionRemove()" id="remove" >Remove</span>
                  <script>
                    function myFunction() {
                        var i = 0;
                        var itm = $('#socialLink table').last().clone().find("input[type='url'],select").val("").end();
                        $('#socialLink table').last().after(itm);
                         if($("#socialLink > table").length > 1)
                            {
                             $("#remove").show();
                            }
                    }
                    function myFunctionRemove(){
                       $('#socialLink table').last().remove();
                       if($("#socialLink > table").length < 2)
                        {
                         $("#remove").hide();
                        }
                    }
                  </script>
                </div>
              </div>
              </div>
              <br/>
              <center>
                <div class="form-group">
                  <input type="submit" name="submit" class="register-btn" id="submit" value="Submit" style="width: 300px; margin-left: 190px">
                </div>
              </center>
              <!-- .tab_container -->
              </div>
              </div>
              <br>
          </form>
        </div>
      </div>
    </div>
  </div>
	<!-- /container-fluid -->
	<div class="cd-overlay-nav">
		<span></span>
	</div>
	<!-- /cd-overlay-nav -->
	<div class="cd-overlay-content">
		<span></span>
	</div>
	<!-- /cd-overlay-content -->
	<a href="#0" class="cd-nav-trigger">Menu<span class="cd-icon"></span></a>
	<!-- /menu button -->

  <script>
    $('#next').parsley({excluded: "input[type=url]"});
    $('input').parsley();
    $('file').parsley();
    var isValid ;
    $("#submit").hide();
  	 // tabbed content
      // http://www.entheosweb.com/tutorials/css/tabs.asp
      $(".tab_content").hide();
      $(".tab_content:first").show();

      $('#tabs2').click(function () {
        var isValid = true;
        $('#isValid').val(isValid);
        // console.log(isValid);
        $('#tab1 input').each( function() {
           if ($(this).parsley().validate() !== true)
           {
            isValid = false;
            $('#isValid').val(isValid);
           }
        });
            if(isValid)
            {
              $(".tab_content:nth-child(2)").show();
              $("#tab2active").css({'background-color':'#434BDF','font-weight':'600','color':'#FFFFFF'});   
              $("#tab2active").addClass('active');   
              $("#tab1active").removeClass('active');   
            }
      });

       $('#tabs3').click(function () {
          var isValid = true;
          $('#isValid').val(isValid);
          // console.log(isValid);
          $('#tab2 input').each( function() {
          if ($(this).parsley().validate() !== true)
          {
          isValid = false;
          $('#isValid').val(isValid);
          }
          });
          if(isValid)
          {
           $(".tab_content:nth-child(2)").hide();
           $(".tab_content:nth-child(3)").show();
           $("#tab2active").css({'background-color':'black','font-weight':'600','color':'black'});
           $("#tab3active").css({'background-color':'#434BDF','font-weight':'600','color':'#FFFFFF'}); 
           $("#tab3active").addClass('active');   
           $("#tab2active").removeClass('active');
          }

       });


       $('#tabs4').click(function () {
          $("#submit").show();
           $(".tab_content:nth-child(2)").hide();
           $(".tab_content:nth-child(3)").hide();
           $(".tab_content:nth-child(4)").show();
           $("#tab2active").css({'background-color':'black','font-weight':'600','color':'black'});
           $("#tab3active").css({'background-color':'black','font-weight':'600','color':'black'});
           $("#tab4active").css({'background-color':'#434BDF','font-weight':'600','color':'#FFFFFF'});
           $("#tab4active").addClass('active');   
           $("#tab3active").removeClass('active');

       });

    /* if in tab mode */
      $("ul.tabs li").click(function() {
        console.log($("#isValid").val());
        if($("#isValid").val() == 'true')
        { 
          $(".tab_content").hide();
          var activeTab = $(this).attr("rel");
          $("#"+activeTab).fadeIn();

          // $("ul.tabs li").removeClass("active");
          $(this).addClass("active");

    	  $(".tab_drawer_heading").removeClass("d_active");
    	  $(".tab_drawer_heading[rel^='"+activeTab+"']").addClass("d_active");

        }


      /*$(".tabs").css("margin-top", function(){
         return ($(".tab_container").outerHeight() - $(".tabs").outerHeight() ) / 2;
      });*/
      });




      $(".tab_container").css("min-height", function(){
        return $(".tabs").outerHeight() + 50;
      });
  	/* if in drawer mode */
  	$(".tab_drawer_heading").click(function() {

        $(".tab_content").hide();
        var d_activeTab = $(this).attr("rel");
        $("#"+d_activeTab).fadeIn();

  	  $(".tab_drawer_heading").removeClass("d_active");
        $(this).addClass("d_active");

  	  $("ul.tabs li").removeClass("active");
  	  $("ul.tabs li[rel^='"+d_activeTab+"']").addClass("active");
      });


  	/* Extra class "tab_last"
  	   to add border to bottom side
  	   of last tab
  	$('ul.tabs li').last().addClass("tab_last");*/
  </script>
@endsection
