
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Example 1</title>
    <style>
        .clearfix:after {
            content: "";
            display: table;
            clear: both;
        }

        a {
            color: #5D6975;
            text-decoration: underline;
        }


        header {
            padding: 10px 0;
            margin-bottom: 30px;
        }

        #logo {
            text-align: center;
            margin-bottom: 10px;
        }

        #logo img {
            width: 90px;
        }

        h1 {
            border-top: 1px solid  #5D6975;
            border-bottom: 1px solid  #5D6975;
            color: #5D6975;
            font-size: 2.4em;
            line-height: 1.4em;
            font-weight: normal;
            text-align: center;
            margin: 0 0 20px 0;
            background: url('img/dimension.png');
        }

        #project {
            float: left;
        }

        #project span {
            color: #5D6975;
            text-align: right;
            width: 52px;
            margin-right: 10px;
            display: inline-block;
            font-size: 0.8em;
        }

        #company {
            text-align: right;
        }

        /*#project div,*/
        /*#company div {*/
        /*    white-space: nowrap;*/
        /*}*/

        table {
            width: 100%;
            border-collapse: collapse;
            border-spacing: 0;
            margin-bottom: 20px;
        }

        table tr:nth-child(2n-1) td {
            background: #F5F5F5;
        }

        table th,
        table td {
            text-align: center;
        }

        table th {
            padding: 5px 20px;
            color: #5D6975;
            border-bottom: 1px solid #C1CED9;
            white-space: nowrap;
            font-weight: normal;
        }

        table .service,
        table .desc {
            text-align: left;
        }

        table td {
            padding: 20px;
            text-align: right;
            font-size:13px;
        }

        table td.service,
        table td.desc {
            vertical-align: top;
        }

        table td.unit,
        table td.qty,
        table td.total {
            font-size: 13px;
        }

        table td.grand {
            border-top: 1px solid #5D6975;;
        }


    </style>
</head>
<body>
<header class="clearfix">
    <div id="logo">
        <img src="img/logo.png">
    </div>
    <h1>INVOICE <span style="font-size: 16px">{{$transactionId}}</span></h1>
    <div id="project">
        <div><span>CLIENT</span> {{$user_details->name}}</div>
        <div><span>EMAIL</span> <a href="mailto:{{$user_details->email}}">{{$user_details->email}}</a></div>
        <div><span>PHONE</span> {{$phone}}</div>
        <div><span>DATE</span> {{date('d-m-Y')}}</div>
    </div>
    <div id="company" class="clearfix">
        <div>{{$setting_method[20]['value']}}</div>
        <div>{{$setting_method[13]['value']}}</div>
        <div><a href="mailto:{{$setting_method[7]['value']}}">{{$setting_method[7]['value']}}</a></div>
    </div>

</header>
<main>
    <table>
        <thead>
        <tr>
            <th class="service">SERVICE</th>
            <th class="desc">DESCRIPTION</th>
            <th>PRICE</th>
            <th>DISCOUNT</th>
            <th>QTY</th>
            <th>TOTAL</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td class="service">Virtual Card</td>
            <td class="desc">This is Virtual card</td>
            <td class="unit">INR. {{$totalAmount}}</td>
            <td class="unit">INR. {{$discount}}</td>
            <td class="qty">1</td>
            <td class="total">INR. {{$amount}}</td>
        </tr>

        <tr>
            <td colspan="5" class="grand total">GRAND TOTAL</td>
            <td class="grand total">INR. {{$amount}}</td>
        </tr>
        </tbody>
    </table>

</main>

</body>
</html>
