@extends('new_site.layout.app')
@section('titlearea')
  {{$setting_data['6']['value']}}
@endsection
@section('content')
	<div class="container-fluid full-height">
		<div class="row row-height">
			@include('layouts.left-content')
			<div class="col-lg-6 content-right" id="start">
				<div id="wizard_container" class="wizard_container_2">
					<div id="top-wizard">
						<div id="progressbar"></div>
					</div>
					<div class="row pull-right">
            <a  type="submit" href="{{ route('logout') }}" onclick="event.preventDefault();document.getElementById('logout-form').submit();">
            <b>{{ __('Logout') }}</b>
            </a>
            @if (session('status'))
            <div class="alert alert-success" role="alert">
              {{ session('status') }}
            </div>
            @endif
            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
              @csrf
            </form> 
            @if(isset($shareLink))
            <form id="payment-form" action="{{ route('payments') }}" method="POST" style="display: none;">
              @csrf
              <input type="hidden" name="theme_id" value="{{$shareLink->theme_id}}">
              <input type="hidden" name="payment_status" value="after-trial">
              <input type="hidden" name="vcard_url_id" value="{{$shareLink->vcard_url_id}}">
            </form>
            @endif
          </div>
          @if(!$about)
          <div class='card'><div class='card-body text-center'>
            <a class='btn btn-primary ' href="{{url('create-vcard/1')}}">Create Vcard</a></div>
          </div>
          Till now you have not created Vcard. If you want to create Vcard, please proceed  <a href="{{url('create-vcard/1')}}">Create Vcard..</a>
          @endif
          @if($about)
          <form method="POST" action="{{route('profile.update')}}" enctype="multipart/form-data" id="next">
            @csrf
            <input id="website" name="website" type="text" value="">
            <input type="hidden" id="isValid" value="">
            <!-- Leave for security protection, read docs for details -->
            <div id="middle-wizard">
            @if ($errors->any())
            <ul id="errors">
            @foreach ($errors->all() as $error)
            <li class="alert alert-danger">{{ $error }}</li>
            @endforeach
            </ul>
            @endif
            <div class="step">
            <h3 class="main_question">Update Profile</h3>
            @if (session('success'))
            <div class="alert alert-success" role="alert">
            {{ session('success') }}
            </div>
            @endif
            @if (session('danger'))
            <div class="alert alert-success" role="alert">
            {{ session('danger') }}
            </div>
            @endif
            <h4 class="main_question">
            Hi,<b>{{ Auth::user()->name }}</b>
            </h4>
            <br>
            <div class="tabs_wrapper">
              <ul class="tabs">
                <li class="active" rel="tab1" id="tab1active">About Me</li>
                <li rel="tab2" id="tab2active">Contact Details</li>
                <li rel="tab3" id="tab3active">Company Details</li>
                <li rel="tab4" id="tab4active">Social Links</li>
                <!-- <li rel="tab5">Payment Details</li> -->
              </ul>
            <div class="tab_container">
              <h3 class="d_active tab_drawer_heading" rel="tab1">About Me</h3>
              <div id="tab1" class="tab_content p-3">
                <div class="form-group">
                    <input type="text" name="firstname" value="{{ old('firstname',isset($about->fname) ? $about->fname : null) }}" class="form-control" placeholder="First Name" required  data-parsley-trigger="focusout" data-parsley-required-message="First name field is required">
                    @if($errors->first('firstname'))
                    <label class="text-danger">{{$errors->first('firstname')}}</label>
                    @endif
                </div>
                <div class="form-group">
                  <input type="text" name="lastname" value="{{ old('lastname',isset($about->lname) ? $about->lname : null) }}" class="form-control" placeholder="Last Name" required  data-parsley-trigger="focusout" data-parsley-required-message="Last name field is required">
                  @if($errors->first('lastname'))
                  <label class="text-danger">{{$errors->first('lastname')}}</label>
                  @endif
                </div>
                <div class="form-group">
                  <input type="text" name="profession" value="{{ old('profession',isset($about->profession) ? $about->profession : null) }}" class="form-control" placeholder="Profession" required  data-parsley-trigger="focusout" data-parsley-required-message="Profession field is required">
                  @if($errors->first('profession'))
                  <label class="text-danger">{{$errors->first('profession')}}</label>
                  @endif
                </div>
                <div class="form-group">
                  <textarea name="about_me" class="form-control" rows="" placeholder="About Me" cols="">{{ old('about_me',isset($about->about_me) ? $about->about_me : null) }}</textarea>
                </div>
                <h6 class="main_question">Upload Your Vcard Profile Picture</h6>
                <div class="form-group">
                  <div class="row px-3">
                    <input type="file" name ="profile_img" value="{{isset($about->profile_img) ? $about->profile_img : null}}" class="col-md-7" >
                    @if(isset($about->profile_img) && $about->profile_img)
                    <img src="{{asset('users/profileimg')}}/{{$about->profile_img}}" class="col-md-3 user-profile-img"> 
                    @endif
                  </div>
                  @if($errors->first('profile_img'))
                  <label class="text-danger">{{$errors->first('profile_img')}}</label>
                  @endif
                  </label>
                  </div>
                  <div class="tabs_wrapper">
                    <ul class="tabs">
                      <li id="tabs2"  rel="tab2" style="text-align: center" >Next</li>
                    </ul>
                  </div>
                </div>
                <!-- #tab1 -->
                <h3 class="tab_drawer_heading" rel="tab2">Contact Details</h3>
                <div id="tab2" class="tab_content p-3">
                  <div class="form-group">
                    <input type="tel" name="phone" value="{{ Auth::user()->phone }}" class="form-control" placeholder="Phone" required  data-parsley-trigger="focusout" data-parsley-required-message="Phone field is required">
                  </div>
                  <div class="form-group">
                    <input type="email" name="email" value="{{ Auth::user()->email }}" class="form-control" placeholder="Email"  required  data-parsley-trigger="focusout" data-parsley-required-message="Email field is required">
                  </div>
                  <div class="form-group">
                    <input type="tel" name="whatsapp" value="{{ old('whatsapp',isset($contact->whatsapp) ? $contact->whatsapp : null) }}" class="form-control" placeholder="Whats App">
                  </div>
                  <div class="form-group">
                    <textarea name="address" class="form-control" rows="" placeholder="Address" cols="">{{ old('address',isset($contact->address) ? $contact->address : null) }}</textarea>
                  </div>
                  <div class="form-group">
                    <input type="text" name="skype_id" value="{{ old('skype_id',isset($contact->skype_id) ? $contact->skype_id : null) }}" class="form-control" placeholder="Enter Skype Id">
                  </div>
                  <div class="form-group">
                    <input type="text" name="fb_url" value="{{ old('fb_url',isset($contact->fb_messenger_id) ? $contact->fb_messenger_id : null) }}" class="form-control" placeholder="Fb Messenger URL" >
                  </div>
                  <div class="tabs_wrapper">
                    <ul class="tabs">
                      <li  rel="tab3" id="tabs3" style="text-align: center">Next</li>
                    </ul>
                  </div>
                </div>
                <!-- #tab2 -->
                <h3 class="tab_drawer_heading" rel="tab3">Company Details</h3>
                <div id="tab3" class="tab_content p-3">
                  <div class="form-group">
                    <input type="text" name="company_name" value="{{ old('company_name',isset($company->com_name) ? $company->com_name : null ) }}" class="form-control" placeholder="Company Name">
                  </div>
                  <div class="form-group">
                    <input type="text" name="company_title" value="{{ old('company_title',isset($company->com_tagline) ? $company->com_tagline : null) }}" class="form-control" placeholder="Company Tagline">
                  </div>
                  <div class="form-group">
                    <textarea name="about_company" class="form-control" style="height:100px;" placeholder="About Company" >{{ old('about_company',isset($company->about_com) ? $company->about_com : null) }}</textarea>
                  </div>
                  <div class="form-group">
                    <input type="text" name="comp_yt_link" value="{{ old('comp_yt_link',isset($company->com_youtube_link) ? $company->com_youtube_link : null) }}" class="form-control" placeholder="About Company Youtube Link">
                  </div>
                  <div class="form-group">
                    <input type="text" name="address_map_link" value="{{ old('address_map_link',isset($company->com_map_link) ? $company->com_map_link : null) }}" class="form-control" placeholder="Company Address  Map Link">
                  </div>
                  <h6 class="main_question">Upload Your Company Logo</h6>
                  <div class="form-group">
                    <input type="file" name ="company_logo" id="file" />
                  </div>
                  <div class="tabs_wrapper">
                    <ul class="tabs">
                      <li  rel="tab4"  id="tabs4" style="text-align: center">Next</li>
                    </ul>
                  </div>
                </div>
                <!-- #tab3 -->
                <h3 class="tab_drawer_heading" rel="tab4">Social Links</h3>
                <div id="tab4" class="tab_content p-3">
                  @if(isset($social_links))
                  @foreach($social_links  as $key =>  $social_link)
                  <div id="socialLink">
                    <table style="width: 100%">
                      <tbody>
                        <tr >
                          <td><div class="form-group">
                          <select class="nice-select wide"
                                name="siteSocial[]">
                            <option value="" selected="selected">Choose Social Link</option>
                            <option value="fa-facebook-f" @if($key == 'fa-facebook-f' ) selected @endif>Facebook</option>
                            <option value="fa-twitter" @if($key == 'fa-twitter' ) selected @endif>Twitter</option>
                            <option value="fa-google" @if($key == 'fa-google' ) selected @endif>Google</option>
                            <option value="fa-linkedin-in" @if($key == 'fa-linkedin-in' ) selected @endif>LinkedIn</option>
                            <option value="fa-youtube" @if($key == 'fa-youtube' ) selected @endif>YouTube</option>
                            <option value="fa-instagram" @if($key == 'fa-instagram' ) selected @endif>Instagram</option>
                            <option value="fa-quora " @if($key == 'fa-quora' ) selected @endif>Quora</option>
                            <option value="fa-google-play" @if($key == 'fa-google-play' ) selected @endif>Google Play Store</option>
                            <option value="fa-app-store-ios" @if($key == 'fa-app-store-ios' ) selected @endif>App Store IOS</option>
                            <option value="fa-bullhorn" @if($key == 'fa-bullhorn' ) selected @endif>Podcast</option>
                            <option value="fa-blogger" @if($key == 'fa-blogger' ) selected @endif>Blogger</option>
                          </select>
                          </div></td>
                          <td>
                            <div class="form-group">
                              <input type="url" name="social_link[]" value="{{ $social_link }}" class="form-control" placeholder="Url with http://" required="">
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  @endforeach
                  @endif
                  <span class="btn btn-primary" onclick="myFunction()">Add</span>
                  <span class="btn btn-danger" onclick="myFunctionRemove()" id="remove">Remove</span><br><br>
                  @if(isset($remaining_days) && $remaining_days >= 1 && isset($shareLink->payment_status) && $shareLink->payment_status == 0 )
                  <span style="color: green">Your Free Trial valid for {{$remaining_days}} days </span>
                  @elseif( isset($remaining_days) && $remaining_days < 1 && isset($shareLink->payment_status) && $shareLink->payment_status == 0 )
                  <span style="color: red">Your Free Trial is over,Please make payment</span>
                  @endif
                  <script>
                    function myFunction() {
                    var i = 0;
                    var itm = $('#socialLink table').last().clone().find("input[type='url'],select").val("").end();
                    console.log(itm);
                    $('#socialLink table').last().after(itm);
                    if($("#socialLink > table").length > 1)
                    {
                      $("#remove").show();
                    }
                    }
                    function myFunctionRemove() {
                    $('#socialLink table').last().remove();
                    if($("#socialLink > table").length < 2)
                    {
                      $("#remove").hide();
                    }
                    }
                  </script>
                </div>
               </div>
               </div>
  
                
                <div class="form-group my-3 text-right">
                  <input type="submit" name="profile" class="register-btn col-sm-4" id="submit" value="Update profile" >
                </div>
                <!-- .tab_container -->
              </div>
            </div>
          </form>
        </div>
          		<!-- /Wizard container -->
      </div>
      <!-- /content-right-->
    </div>
    <!-- /row-->
  </div>
  <!-- /container-fluid -->
  @endif

	<div class="cd-overlay-nav">
		<span></span>
	</div>
	<!-- /cd-overlay-nav -->
	<div class="cd-overlay-content">
		<span></span>
	</div>
	<!-- /cd-overlay-content -->
	<a href="#0" class="cd-nav-trigger">Menu<span class="cd-icon"></span></a>
	<!-- /menu button -->

  <script>
    $('#next').parsley({excluded: "input[type=url]"});
    $('input').parsley();
    // $('file').parsley();
    var isValid ;
    $("#submit").hide();
  	 // tabbed content
      // http://www.entheosweb.com/tutorials/css/tabs.asp
      $(".tab_content").hide();
      $(".tab_content:first").show();

      $('#tabs2').click(function () {
        var isValid = true;
        $('#isValid').val(isValid);
        // console.log(isValid);
        $('#tab1 input').each( function() {
           if ($(this).parsley().validate() !== true)
           {
            isValid = false;
            $('#isValid').val(isValid);
           }
        });
            if(isValid)
            {
              $(".tab_content:nth-child(2)").show();
              $("#tab2active").css({'background-color':'#434BDF','font-weight':'600','color':'#FFFFFF'});   
              $("#tab2active").addClass('active');   
              $("#tab1active").removeClass('active');   
            }
      });

       $('#tabs3').click(function () {
          var isValid = true;
          $('#isValid').val(isValid);
          // console.log(isValid);
          $('#tab2 input').each( function() {
          if ($(this).parsley().validate() !== true)
          {
          isValid = false;
          $('#isValid').val(isValid);
          }
          });
          if(isValid)
          {
           $(".tab_content:nth-child(2)").hide();
           $(".tab_content:nth-child(3)").show();
           $("#tab2active").css({'background-color':'black','font-weight':'600','color':'black'});
           $("#tab3active").css({'background-color':'#434BDF','font-weight':'600','color':'#FFFFFF'}); 
           $("#tab3active").addClass('active');   
           $("#tab2active").removeClass('active');
          }

       });


       $('#tabs4').click(function () {
          $("#submit").show();
           $(".tab_content:nth-child(2)").hide();
           $(".tab_content:nth-child(3)").hide();
           $(".tab_content:nth-child(4)").show();
           $("#tab2active").css({'background-color':'black','font-weight':'600','color':'black'});
           $("#tab3active").css({'background-color':'black','font-weight':'600','color':'black'});
           $("#tab4active").css({'background-color':'#434BDF','font-weight':'600','color':'#FFFFFF'});
           $("#tab4active").addClass('active');   
           $("#tab3active").removeClass('active');

       });
       $('.tab_drawer_heading').click(function () {
        $("#submit").show();
       });

    /* if in tab mode */
      $("ul.tabs li").click(function() {
        console.log($("#isValid").val());
        if($("#isValid").val() == 'true')
        { 
          $(".tab_content").hide();
          var activeTab = $(this).attr("rel");
          $("#"+activeTab).fadeIn();

          // $("ul.tabs li").removeClass("active");
          $(this).addClass("active");

    	  $(".tab_drawer_heading").removeClass("d_active");
    	  $(".tab_drawer_heading[rel^='"+activeTab+"']").addClass("d_active");

        }


      /*$(".tabs").css("margin-top", function(){
         return ($(".tab_container").outerHeight() - $(".tabs").outerHeight() ) / 2;
      });*/
      });




      $(".tab_container").css("min-height", function(){
        return $(".tabs").outerHeight() + 50;
      });
  	/* if in drawer mode */
  	$(".tab_drawer_heading").click(function() {

        $(".tab_content").hide();
        var d_activeTab = $(this).attr("rel");
        $("#"+d_activeTab).fadeIn();

  	  $(".tab_drawer_heading").removeClass("d_active");
        $(this).addClass("d_active");

  	  $("ul.tabs li").removeClass("active");
  	  $("ul.tabs li[rel^='"+d_activeTab+"']").addClass("active");
      });


  	/* Extra class "tab_last"
  	   to add border to bottom side
  	   of last tab
  	$('ul.tabs li').last().addClass("tab_last");*/
  </script>
@endsection
