<?php $__env->startSection('content'); ?>
    <!-- Main content -->
    <div class="content-wrapper">
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <div class="row">
                                    <div class="col-md-6">
                                        <h3 class="card-title">Coupon Users</h3>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-primary email-button"  data-toggle="modal" data-target="#coupon-modal">Add Coupon</button>


                                    </div>
                                </div>
                            </div>
                            <!-- /.card-header -->
                            <input type="hidden" name="" id="type" value="<?php echo e($type); ?>">
                            <div class="card-body">
                                <table  id="couponsTable" class="table table-bordered table-striped user-listing-datatable data-table display select" style="width: 100%">
                                    <thead>
                                    <tr>

                                        <th>Coupon ID</th>
                                        <th>Coupon Code</th>
                                        <th>No. of use</th>
                                        <th>Expire Date</th>
                                        <th>Price discount</th>
                                        <th>Status</th>
                                        <th>Created at</th>


                                    </tr>
                                    </thead>

                                </table>








                                <!-- The Modal -->
                                <div class="modal fade" id="coupon-modal">
                                    <div class="modal-dialog">
                                        <div class="modal-content">

                                            <!-- Modal Header -->
                                            <div class="modal-header">
                                                <h4 class="modal-title">Add The Coupons</h4>
                                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                                            </div>

                                            <!-- Modal body -->
                                            <div class="modal-body">

                                                <form action="<?php echo e(route('save_coupon')); ?>" method="POST">
                                                    <?php echo csrf_field(); ?>
                                                    <input type="hidden" name="coupon_id" id="coupon_id">
                                                    <div class="form-group row">
                                                        <label for="coupon_code" class="col-sm-4 col-form-label">Coupon Code</label>
                                                        <div class="input-group col-sm-8">
                                                            <input type="text" class="form-control" name="coupon_code" id="coupon_code" placeholder="Enter Coupon Code">
                                                        </div>
                                                    </div>
                                                    <?php if($errors->has('coupon_code')): ?>
                                                        <div class="error login-validation-error"><?php echo e($errors->first('coupon_code')); ?></div><br>
                                                    <?php endif; ?>




                                                    <div class="form-group row">
                                                        <label for="no_of_use" class="col-sm-4 col-form-label">No. of use</label>
                                                        <div class="input-group col-sm-8">
                                                            <input type="number" class="form-control" name="no_of_use" id="no_of_use" placeholder="Enter No. of use">
                                                        </div>
                                                    </div>
                                                    <?php if($errors->has('no_of_use')): ?>
                                                        <div class="error login-validation-error"><?php echo e($errors->first('no_of_use')); ?></div><br>
                                                    <?php endif; ?>



                                                    <div class="form-group row">
                                                        <label for="expire_date" class="col-sm-4 col-form-label">Expire Date</label>
                                                        <div class="input-group col-sm-8">
                                                            <input type="date" class="form-control" name="expire_date" id="expire_date" placeholder="Enter Expire Date">
                                                        </div>
                                                    </div>
                                                    <?php if($errors->has('expire_date')): ?>
                                                        <div class="error login-validation-error"><?php echo e($errors->first('expire_date')); ?></div><br>
                                                    <?php endif; ?>



                                                    <div class="form-group row">
                                                        <label for="price_discount" class="col-sm-4 col-form-label">Price Discount</label>
                                                        <div class="input-group col-sm-8">
                                                            <input type="text" class="form-control" name="price_discount" id="price_discount" placeholder="Enter Price Discount">
                                                        </div>
                                                    </div>
                                                    <?php if($errors->has('price_discount')): ?>
                                                        <div class="error login-validation-error"><?php echo e($errors->first('price_discount')); ?></div><br>
                                                    <?php endif; ?>

                                                    <div class="form-group row">
                                                        <label for="status" class="col-sm-4 col-form-label">Coupon Status</label>
                                                        <div class="input-group col-sm-8">
                                                            <div class="form-check form-check-inline">
                                                                <input type="radio" class="form-check-input"  name="status" id="statusActive" value="1" >
                                                                <label class="form-check-label" for="status">Active</label>
                                                            </div>

                                                            <div class="form-check form-check-inline">
                                                                <input type="radio" class="form-check-input"  name="status" id="statusInactive" value="0" >
                                                                <label class="form-check-label" for="status">Inactive</label>
                                                            </div>

                                                        </div>
                                                    </div>
                                                    <?php if($errors->has('status')): ?>
                                                        <div class="error login-validation-error"><?php echo e($errors->first('status')); ?></div><br>
                                                    <?php endif; ?>
                                                    <button type="submit" class="btn btn-primary">Save</button>

                                                </form>

                                            </div>
                                        </div>
                                    </div>
                                </div>











                            </div>
                            <!-- /.card-body -->
                        </div>
                        <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </section>
        <!-- /.content -->
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>


    <script>


        $(function () {
            var table = $('#couponsTable').DataTable({
                // processing: true,
                // serverSide: true,
                "scrollX": true,
                "order": [[ 6, "desc" ]],
                "searching": true,
                "lengthMenu": [10, 25, 50,],
                "pageLength": 10,
                "autoWidth": true,

                ajax:
                    {
                        type : "GET",
                        url: "<?php echo e(url('admin/listing-data')); ?>",
                        data: function (d)
                        {
                            d.type = $("#type").val()
                        }
                    },
                columns: [
                    {data: 'coupon_id', name: 'coupon_id'},
                    {data: 'coupon_code', name: 'coupon_code'},
                    {data: 'no_of_use', name: 'no_of_use'},
                    {data: 'expire_date', name: 'expire_date'},
                    {data: 'price_discount', name: 'price_discount'},
                    {data: 'status', name: 'status'},
                    {data: 'created_at', name: 'created_at'},
                    // {data: 'checkbox', name: 'checkbox'},
                    // {data: 'action', name: 'action', orderable: false, searchable: false},
                ]
            });



        });


        $(document).ready(function() {
            var table = $('#couponsTable').DataTable();
            $('#couponsTable tbody').on( 'click', 'tr', function ()  {
               var rowData = table.row( this ).data();
               $('#coupon_id').val(rowData.coupon_id);
               $('#coupon_code').val(rowData.coupon_code);
               $('#no_of_use').val(rowData.no_of_use);


                var selectedDate = rowData.expire_date.split("-")
                var convertINTODate = new Date(selectedDate[2], selectedDate[1] - 1, selectedDate[0])
                var dt_to = $.datepicker.formatDate('yy-mm-dd', convertINTODate);
               $('#expire_date').val(dt_to);
               $('#price_discount').val(rowData.price_discount);
                $('.modal-title').text("Update the Coupon");
               if(rowData.status=="Active"){
                   $('#statusActive').attr('checked', 'checked');
               }else{
                   $('#statusInactive').attr('checked', 'checked');
               }
               $('#coupon-modal').modal('show');

            } );
        } );

    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('new_site.layout.admin-master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\neelam\xampp\htdocs\vcardgenerator\resources\views/new_site/admin/coupon-list.blade.php ENDPATH**/ ?>